5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

Gentoo Linux 13

1 :login:Penguin:05/01/24 16:36:06 ID:Ln7ji8fN
Gentoo Linux
http://www.gentoo.org/

Gentoo Linux Users Group Japan (GentooJP)
http://www.gentoo.gr.jp/

・はじめに
GentooJPの歩き方
http://www.gentoo.gr.jp/jpmain/arukikata.xml
Gentoo Linux 1.4 インストール手引書
http://www.gentoo.org/doc/ja/gentoo-x86-install.xml

・もうちょっと先
Gentoo Linux Frequently Asked Questions
http://www.gentoo.org/doc/ja/faq.xml
Gentoo Linux tips 集
http://www.gentoo.gr.jp/jpmain/tips.xml
Portage ユーザガイド
http://www.gentoo.org/doc/ja/portage-user.xml
Gentoo-Portage.com
http://www.gentoo-portage.com/
Gentoo-Wiki.com
http://gentoo-wiki.com/Main_Page
前スレ (Gentoo Linux 11)
http://pc5.2ch.net/test/read.cgi/linux/1094915653/

2 :login:Penguin:05/01/24 16:37:25 ID:Ln7ji8fN
過去スレ
12 http://pc5.2ch.net/test/read.cgi/linux/1100349348
11 http://pc5.2ch.net/test/read.cgi/linux/1094915653/
10 http://pc5.2ch.net/test/read.cgi/linux/1088540408/
9 http://pc5.2ch.net/test/read.cgi/linux/1084107269/
8 http://pc5.2ch.net/test/read.cgi/linux/1080398777/
7 http://pc3.2ch.net/test/read.cgi/linux/1076059699/
6 http://pc.2ch.net/test/read.cgi/linux/1071138693/
5 http://pc.2ch.net/test/read.cgi/linux/1065520318/
4 http://pc.2ch.net/test/read.cgi/linux/1047823838/
3 http://pc.2ch.net/test/read.cgi/linux/1049981814/
2 http://pc.2ch.net/test/read.cgi/linux/1041348878/
1 http://pc.2ch.net/linux/kako/1024/10244/1024483126.html

3 :login:Penguin:05/01/24 16:37:43 ID:Ln7ji8fN
Gentoo Linuxディストリビューションの誕生
http://www-6.ibm.com/jp/developerworks/linux/010223/j_l-dist1.html

Enoch発Gentoo行き (「若干の"つまずき"と"いさかい"」経由)
http://www-6.ibm.com/jp/developerworks/linux/010413/j_l-dist2.html

Linuxからの離脱と復帰
http://www-6.ibm.com/jp/developerworks/linux/010511/j_l-dist3.html

ebuild システムの探訪
http://www-6.ibm.com/jp/developerworks/linux/000714/j_bash3.html

4 :login:Penguin:05/01/24 16:38:19 ID:Ln7ji8fN
・コミュニティ
ebuildJP
http://ebuild.gentoo.gr.jp/
Wiki
http://wiki.gentoo.gr.jp/
航海日誌
http://diary.gentoo.gr.jp/
Bugzilla
http://bugs.gentoo.gr.jp/

5 :login:Penguin:05/01/24 16:38:50 ID:Ln7ji8fN
emerge syncは一日一回。
二台以上Gentooがある人はlocal mirrorを立てましょう。(とっても簡単)
http://www.gentoo.org/doc/en/rsync.xml

prelinkはアプリケーションの起動時間を短縮できます。
簡単ですぐに出来るのでオススメ

Gentoo Linux Prelink ガイド
http://www.gentoo.org/doc/ja/prelink-howto.xml

6 :login:Penguin:05/01/24 17:22:00 ID:OHWJ0CuE
前スレの976です。
前スレで探すとはいったものの見つからず
できれば詳細お願いします。
後は何とかします。

7 :login:Penguin:05/01/24 17:27:04 ID:SNUx/W+h
/usr/src/linux/net/decnet/dn_neigh.c

上のソースに下のinclueを足す。
#include <linux/module.h>

コンパイル通ったらちゃんと報告よろ。


8 :前スレ987:05/01/24 20:36:20 ID:pAiQvO+L
>>前スレ989

emerge -uDp worldでこんなです

Calculating world dependencies ...done!
[ebuild UD] xfce-base/libxfce4util-4.0.6 [4.2.0]
[ebuild UD] xfce-base/libxfcegui4-4.0.6 [4.2.0]
[ebuild UD] xfce-base/libxfce4mcs-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xfce-mcs-manager-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xfwm4-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xfprint-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xffm-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xfce4-panel-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xfce-utils-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xfce-mcs-plugins-4.0.6 [4.2.0]
[ebuild UD] xfce-base/xfdesktop-4.0.6 [4.2.0]
[ebuild N ] xfce-base/xfce4-base-4.0.6

emerge -up worldだとどーともないんでほっぽってますけど、
きっと、どっかで悪いパッケージ食ったんだなぁと。
やっぱ拾い食いはあかん(w


9 :login:Penguin:05/01/24 22:21:03 ID:6MPsUvxc
xfce は4.2使ってるよ。
アップデートしてからpackage.mask に入れておけばOKかと。

10 :前スレ987:05/01/24 23:23:01 ID:pAiQvO+L
>>9
ありがとー

echo xfce-base/xfce-base >> /etc/portage/package.mask
emerge -uDp world
で、xfce4-menueditorがxfce-base依存なのを発見。

emerge -C xfce4-menueditor
これですっきりです

11 :前スレ987:05/01/24 23:25:14 ID:pAiQvO+L
>>10
自己レスだが、"4"が抜けてた
echo xfce4-base/xfce4-base >> /etc/portage/package.mask
でした

12 :login:Penguin:05/01/25 02:54:07 ID:stLlL14U
>>7
便乗ですけどありがとうございました。



インストールしたGRUBの修正ってできませんか?
また最初から?

13 :12:05/01/25 03:03:46 ID:stLlL14U
すいません。
わかっちゃいました。

14 :login:Penguin:05/01/25 04:13:49 ID:6hg14QJz
>>前スレ1000
セルフ踏み台はカコワルイと思う。

15 :6:05/01/25 06:32:26 ID:zfDS/C7f
>>7
報告します。
genkernel実行後数時間がたち終了しかし最後の方にまたエラーが出できた。
しかし今回のは前回と異なったものでした。もうダメポ

make: *** [bin-i386/dyn_start.o] Error 1
make: *** Waiting for unfinished jobs....
* Gentoo Linux Genkernel; Version 3.1.0e[0m

* ERROR: Failed to compile the "prefix=/var/tmp/genkernel/diet" target...
* -- Grepping log... --
* -- End log... --
* Please consult /var/log/genkernel.log for more information and any
* errors that were reported above.
* Report any genkernel bugs to bugs.gentoo.org and
* assign your bug to genkernel@gentoo.org. Please include
* as much information as you can in your bug report; attaching
* /var/log/genkernel.log so that your issue can be dealt with effectively.
*
* Please do *not* report compilation failures as genkernel bugs!
*

16 :login:Penguin:05/01/25 06:42:31 ID:SEQb7xVA
最近portageが立て続けに更新されるね。

17 :login:Penguin:05/01/25 07:43:22 ID:+xNYrExm
>>16
アレが近いのでしょう

18 :login:Penguin:05/01/25 07:56:56 ID:WhcKHCEz
生理?

19 :login:Penguin:05/01/25 08:00:58 ID:0qSydtJg
>>18
それはあの日

ところでVMware5のpublic preview版出てたのな
これで64bitCPUでgentooをホストに出来るぜ・・・VMware買うカネナイケド('A`)

20 :login:Penguin:05/01/25 08:02:24 ID:069dxTQp
>>18
んだ。

21 :login:Penguin:05/01/25 12:19:15 ID:txBu4Qmx
>>15
ん〜、もうわからんぽ。
とりあえずgenkernelはあきらめて手動でやれば変にコンフィグ弄ってなければ
問題なくコンパイルできるはずだから、まずは手動で・・・

ササッ((((・_・)

22 :login:Penguin:05/01/25 16:35:35 ID:CKVus8FF
オフィシャル落ちてるぽ

23 :login:Penguin:05/01/25 16:41:01 ID:0kxuK32g
モジュールを無効にしてたりext2・3を外してたりするとgenkernelでコンパイルできんかった覚えがある。

24 :login:Penguin:05/01/25 18:32:24 ID:hGj0IHwv
>>15
logにでてるように/var/log/genkernel.logを晒さないとよくわからんね

>>23
たしか、genkernelはinitrd作るときに
loopを使うからLoopback deviceが今動いてるカーネルでサポートされてないといけない。
あと、RAM diskも。
ってのがあったはず。
マニュアルどおりのデフォ設定なら問題は出ない

25 :login:Penguin:05/01/25 18:57:26 ID:w4Dt8mNu
2.6移行ガイドを見ながら、抜かりなくやったつもりで、問題なく動いてるんですが、
一度読み込んだモジュールを rmmod しようとすると、
FATAL: Kernel does not have unload support.
って怒られるんですが、これは何がまずいんでしょうか?
gentoo-dev-sources-2.6.10-r6, module-init-tools-3.1

26 :25:05/01/25 19:00:28 ID:w4Dt8mNu
ああ、kernelパラメータの Module unloading が有効になってませんでした。
すいまへん。

27 :6:05/01/25 19:32:40 ID:jdWwN+tE
>>2
手動でやってみます。インストできたら報告します。

28 :6:05/01/25 19:34:49 ID:jdWwN+tE
更新してなかったスマソ
>>24
どこで晒せるんでしょうか

29 :login:Penguin:05/01/25 21:58:39 ID:hB8bwQTb
Gentoo/BSDにGentoo for Macと来て次はGentoo/OpenSolarisか。
使い慣れたパッケージシステムが移植されるのは有り難い。色々と。

30 :login:Penguin:05/01/25 22:34:45 ID:KrYW0eej
ぉお
こんなのあったのか < gentoo/*bsd
ええのぉ

# gentoo/macosはどーでもいいが

31 :login:Penguin:05/01/25 22:39:53 ID:qFgX+dXM
Gentoo/Cygwin はもうダメ?

32 :login:Penguin:05/01/26 09:45:26 ID:MnIXkgIK
いつからかemerge -upvD worldすると、
[ebuild NS ] sys-libs/db-4.0.14-r3
なんて出るんですけど、インストール済みのどのパッケージに
依存しているかってどうやって調べるんでしょう?
ちなみに、
sys-libs/db-1.85-r1
sys-libs/db-4.1.25_p1-r4
は、既に入っています。

33 :login:Penguin:05/01/26 09:58:13 ID:wdbjNoUy
~amd64環境で
kita-0.174.0.ebuild
scim-qtimm-0.7.5.ebuild
scim-anthy-0.2.0.ebuild
はKEYWORDSに入ってないけど、動く模様。

anthy-ss-6024.ebuild
はx86と同じで、gcc-3.4だとおかしい。

skimはコンパイルエラー。

34 :login:Penguin:05/01/26 16:06:59 ID:2eipVoD6
>>33
本家Bugzillaに投げてくださいますか?
英語は適当でいいので。まあBugzilla検索すればいっぱい出てくるので
それをコピペしてパッケージ名だけ変えればいいという感じで。
keyword系はかかっても1週間くらいで追加してもらえるので、よろしゅう。

35 :login:Penguin:05/01/26 16:39:43 ID:THPhVB2O
気付いたらmozillaもfirefoxもmozilla-launcherへのシンボリックリンクにかわってました。
うちの環境だとmozilla-launcherを実行するとmozillaが起動します。
これをfirefoxに変更したいんですけどどうしたらいいですか?

launcherの中身を読んでみたら $zero の内容で振り分けてるみたいですが、肝心の
local zero=${0##*/}
の意味がよく分からず…

36 :login:Penguin:05/01/26 17:22:03 ID:8lSEExA4
>>32
--tree オプションを付ける。

37 :login:Penguin:05/01/26 19:59:27 ID:DLlc3Xrp
emergeしたら大量にautomakeが出てきたキャッシュ壊れたかと思ったw

38 :login:Penguin:05/01/26 21:45:20 ID:vDYGZKe6
大量のautomakeはどういう意味?

39 :login:Penguin:05/01/26 22:33:18 ID:DLlc3Xrp
sys-devel/automake-wrapper-1がマージされたからいろんなバージョンのautomakeがマージされたっぽい(*゚∀゚)=3

40 :login:Penguin:05/01/26 22:39:15 ID:Zi2dm50t
Portage-2.0のpreはまだかな。

41 :login:Penguin:05/01/26 23:16:13 ID:gVUcl84a
ふと思ったのですが、prelinkをインストールしたら
startx
もかなり速くなりますか?

42 :login:Penguin:05/01/27 00:22:40 ID:9qls1qhu
なるほどwrapperか

43 :login:Penguin:05/01/27 01:08:35 ID:+aFiGV7l
初めまして。etc-updateの使い方が良く分からないのですが、どうすればよいのでしょうか?
以前、不用意に実行してしまってsuできなくなったりして偉い目にあったことが。

とりあえず、実行する前にバックアップをとる必要があるファイルとしては、
/etc/passwd
/etc/group
/etc/conf.d/local.*
/etc/net
/etc/host*

くらいでしょうか? 他にバックアップをとるべきファイルがあったら教えてください。

44 :login:Penguin:05/01/27 01:16:29 ID:qBEIorv4
>他にバックアップをとるべきファイル
自分で弄ったファイル全部。
さんざん外出だがetc-updateじゃなくてdispatch-confなら、
全自動でバックアップとれたりするから多い日も安心。

45 :login:Penguin:05/01/27 01:18:10 ID:sZmy2Lkf
>>43
etc-update実行し数字入力の時に何も入れないでエンター押すとdiff結果がみれるから不用意に-3とかしない方がいいと思う

etc以下の自分でいじったファイルは気をつけた方が良いんじゃないかな?
後バックアップは/etc/fstabも忘れないように・・・書き直すの面倒だよ(´・ω・`)

46 :login:Penguin:05/01/27 01:22:20 ID:G5N6h8vi
vaio z505じゃインストールできないのかな?
stage1からしてみたけど、挫折です。

47 :login:Penguin:05/01/27 01:25:54 ID:qBEIorv4
>>46
日記はチラシの裏にドゾー
それともエスパー探し?

48 :login:Penguin:05/01/27 01:35:37 ID:YRhVnjA3
>>43
etc-updateをやらないのも一つの手段だよ。

49 :login:Penguin:05/01/27 01:40:37 ID:G5N6h8vi
>>47
もういいよー
ありがと

50 :login:Penguin:05/01/27 02:57:35 ID:Qe2PpFg4
教えて下さい.
システムを定期的にアップデートしたく,cronで
emerge sync && emerge -u world
みたいなことをやろうと思ったんですが,さすがに勝手にインストールされるのは
怖いので,cronではemerge -up world の結果を *コンパイルするだけ* にして
インストールは手動でやりたいと考えています.

こんなことってできますか?

51 :login:Penguin:05/01/27 03:00:44 ID:NmKWdpdM
>>50
--buildpkgonly (-B)

52 :login:Penguin:05/01/27 06:22:25 ID:BHuYy95U
>>06
>>15
全然的外れかもしれないけど、
kernel 2.6で俺も似たような感じで止まったことある。

dev-libs/dietlibc

を入れたらなぜか通った気がする。

53 :6:05/01/27 06:48:16 ID:aLNVsLd4
とりあえずGENTOOのインストールができました。
ところで皆さんは起動時に赤の[!!]や黄色の[!!]出てきますか?

54 :login:Penguin:05/01/27 07:02:28 ID:SUkNoWmY
>>53
俺んとこでは出てないよー。
というかシャットダウン時に、Timidityがプロセス無しって言われて[!!]が出て、
GDMがエラって[!!]が出て、ごくたまにpbbuttonsdがエラって[!!]が出るのがキモチワルイ。
まあ実用上は問題無いんですが。

55 :6:05/01/27 07:14:56 ID:aLNVsLd4
>>54
こちらも実用上問題ないと思ったのですが/mnt/gentooがなくなっています。
そしてemergeすると赤でなんかで出てくるしやっぱり失敗したのかなインストール。

56 :login:Penguin:05/01/27 07:35:05 ID:ZF3DVDzO
>>55
/mnt/gentooはCDブート時に作った奴だろ。今の/が当時の/mnt/gentooだよ。

57 :login:Penguin:05/01/27 12:53:51 ID:Ya/udBya
例えば、
rc-update add net-eth0 default
したのにnicのモジュールがロードされてないとか?

58 :login:Penguin:05/01/27 13:09:56 ID:fD6qYBi1
> そしてemergeすると赤でなんかで出てくるし

つーかホントにどうにかしたいんなら、もうちょっとまともな質問の仕方があるだろ。

59 :login:Penguin:05/01/27 15:29:15 ID:wf+vYFpA
>>54
それ、Timidity きちんと動いてる?
原因は忘れたけど、Timidity は、失敗しても、起動時に[OK]出す時ある。

60 :6:05/01/27 16:44:49 ID:aLNVsLd4
>>58
申し訳ありません。これからは注意します。
ところでemergeに関しては何とか解決しました。これを報告します。
>>53
ここで赤や黄色が出ると行ったことですが、黄色はいつの間にか出
なくなっていました。赤はfailed〜付近で出ます。
終了時には出ません。これはほうっておいてもよいのでしょうか?。
最後にxfreeは名称が変わったのでしょうか?emerge -s xfreeで検索しても
何も出てきませんでした。
よろしくおねがいします

61 :login:Penguin:05/01/27 17:05:34 ID:ppFSCKvD
>>60
Xはxorg-x11に移行した

エラーログは「赤」だの「黄色」じゃなくて具体的に晒さないと
ふざけてるとしか思えない。
何をしたのかすら書いてない。

エスパーを探してるんならはっきりそう書くべき

62 :login:Penguin:05/01/27 17:25:15 ID:u1K2DuKL
トリビア


Gentooにはクマーという名前の開発者がいる。

63 :login:Penguin:05/01/27 18:08:12 ID:qp20eW/1
トリビア


Gentooには擬人化キャラ(萌絵)が存在する。

64 :login:Penguin:05/01/27 18:58:11 ID:qBEIorv4
ガセビアの沼に沈め。

65 :login:Penguin:05/01/27 18:59:11 ID:OwAM0ZDu
今ふと思ったんだが、>>1の「はじめに」って
1.4じゃなくてハンドブックに変えた方がいいんじゃないか?

66 :login:Penguin:05/01/27 19:26:07 ID:P6RKaPz5
これのことか?

Gentoo Linux 2004.3 x86 ハンドブック
http://www.gentoo.org/doc/ja/handbook/handbook-x86.xml

67 :login:Penguin:05/01/27 20:43:24 ID:02DeCXio
Gentoo OpenSolarisはやる気みたいだな

68 :login:Penguin:05/01/27 20:47:11 ID:N/lD/JuW
ただ今ブートストラップ中。
GENTOO_MIRRORSの最適サイトがニュージーランドなんですが(ftp://vlaaiなんたら)
大丈夫かよ(;´Д`)

69 :login:Penguin:05/01/27 23:05:46 ID:iYMq4v0W
俺、MIRRORSELECTではデンマークだった。

70 :login:Penguin:05/01/27 23:26:06 ID:k5NVv7fA
jpのgentooミラーの中にひとつだけものすごく遅いのがあるんですが、C-cして再接続とかしたらダメですかね…

71 :login:Penguin:05/01/28 00:03:59 ID:2pnN7Mpo
>>70
しょっちゅうやってるけど大丈夫

72 :login:Penguin:05/01/28 00:38:36 ID:DftwuTyI
>>70
面倒だから速いところ決め打ちしてる

73 :login:Penguin:05/01/28 00:38:37 ID:/B2JM5S7

   ∩___∩
   | ノ      ヽ Solarisにportageを
  /  ●   ● |  導入するクマ──!!
  |    ( _●_)  ミ
 彡、   |∪|  、`\
/ __  ヽノ /´>  )
(___)   / (_/
 |       /
 |  /\ \
 | /    )  )
 ∪    (  \
       \_)

74 :login:Penguin:05/01/28 03:53:53 ID:yybPvDV3
ワラタ
厳冬には偉そうなのが多いんだなw

75 :login:Penguin:05/01/28 09:39:28 ID:m6Ftzxk+
なんでGentooのGIMPって2.0のままなの?

76 :login:Penguin:05/01/28 12:28:18 ID:J28weDoq
>>75
http://bugs.gentoo.org/show_bug.cgi?id=69844

77 :login:Penguin:05/01/28 17:49:59 ID:zpj14Ct8
gentooを再インストールしたらマウスが動かなくなってしまいました。
症状としてはXを起動してもマウスが全く動きません。キーボードの方は普通に動いています。

最初は、xの設定を疑ったのですがログを見る限りではマウスのドライバ読み込みに成功しています。
lspciをしてみたところmousedevがロードされていませんでした。

modprode mousedev

としてみたところ見つからないというエラーが出ます。実際/lib/modules/2.6.xx-gentoo/kernel/drivers/inputにはmousedev.koが存在しません。
カーネルの構築時に/usr/src/linux/drivers/input/mousedev.oというのは生成されているようですが………。

genkernelやmake&make modules_installを何度かやったのですが、mousedev.koが生成されません。
一体何が悪いのでしょうか? 以前は同じ環境で動いていたはずなのですが。

試したカーネルは
gentoo-dev-sources-2.6.10-r2
gentoo-dev-sources-2.6.10-r6
gentoo-dev-sources-2.6.9-r14
です。

78 :login:Penguin:05/01/28 17:58:29 ID:a8xoHsQR
ls /dev/input/mouse0

/etc/X/xorg.conf
Section "InputDevice"
Option "Device"

79 :login:Penguin:05/01/28 18:41:08 ID:eBwV3lrO
>>77
実はカーネルに組み込んでたりしない?
もし、hotplugつかっててusbならcoldplugしてる?

cat /dev/mouse # Xで指定したデバイス
でマウスは反応する?

80 :login:Penguin:05/01/28 19:01:09 ID:dfQsg7Uo
ちょっと聞きたいんだけど、
# emerge apmd
すると、
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4 というディレクトリ以下から*.oファイルを探そうとして、
見つからないから失敗してる
そのディレクトリ見ると、3.3.5は存在するけど、3.3.4なんて存在しない
これは、
# ln -s 3.3.5 3.3.4
して安易に解決しちゃって大丈夫なんでしょうか??
後で何かと問題起きたりしない?

81 :login:Penguin:05/01/28 19:15:59 ID:DTeKnGJZ
usataたん、なんかみすった?

82 :login:Penguin:05/01/28 19:30:25 ID:zul+o7ms
メールボックス開けて何事かと思った

83 :login:Penguin:05/01/28 19:35:34 ID:Sh1ipvuI
>80
/sbin/fix_libtool_files.sh 3.3.4
新スレ立てたついでに FAQ に加えて欲しかった。


84 :login:Penguin:05/01/28 19:53:59 ID:mMoVFzdc
なんじゃあ?
このMLは???
何があったん?

85 :login:Penguin:05/01/28 19:56:09 ID:mMoVFzdc
DebianのMLに書き込んだら、こんな現象起こるの?

86 :login:Penguin:05/01/28 20:37:38 ID:dfQsg7Uo
>>83
今それやってみたんですけど、やっぱりダメです
やる前と全く同じ理由で止まる…
何が悪いのかな…?

87 :login:Penguin:05/01/28 21:00:15 ID:jszaOpfL
libtool入れ直してみ。

88 :login:Penguin:05/01/28 22:00:18 ID:TOqLtEUc
>>84
gentoojp-users@ml.gentoo.gr.jpから一昨年のメールがじゃんじゃん
飛んでくるのは俺だけ...じゃないよな?

89 :login:Penguin:05/01/28 22:00:41 ID:+HAWBUtg
>>86
リンクはっとけ。

90 :login:Penguin:05/01/28 22:04:31 ID:dfQsg7Uo
>>87
それやったら問題解決しました
マジでサンクス
ありがとう

91 :login:Penguin:05/01/28 23:58:33 ID:KXapEWCQ
2005.0まだ?

92 :login:Penguin:05/01/29 00:05:50 ID:TY4zbRD6
>>84
ノシ

メーリングリストどうしちゃったんだろうね?
オペミスでもしたんかな。

93 :usata ◆zv4F7hYVWM :05/01/29 01:57:38 ID:hhWk7KzR
メーリングリスト、ごめんなさい。

もうそろそろ卒業なので、大学のメールサーバから以前の
メールを移動していたのですが、Wanderlustだと5000通
のメールを一気に移動したりはできないので、Apple Mail
というものを使って送信済みフォルダにあったメールを
新しいサーバの送信済みフォルダに移動したところ、
その操作が原因か、それともそれに伴う誤操作をしたかで、
2002年から2004年4月までの送信済みメールが誤って流れて
しまいました。関係諸氏にはご迷惑をおかけしてたいへん
申し訳ありません。

94 :login:Penguin:05/01/29 02:09:37 ID:+VWL7pLb
まあ、気にすんな。



漏れ、ML入ってないし。

95 :login:Penguin:05/01/29 02:09:45 ID:5ucaorK1
>>93
びっくりしたYO!
メールボックスの容量的には問題なかったので
大丈夫でした.大変でしたね

96 :login:Penguin:05/01/29 02:26:26 ID:nysDgKzr
>93
他のヤシならML人数回の死刑だが、日頃の業績を鑑みて、特別に許そう。


97 :login:Penguin:05/01/29 02:58:41 ID:VkVYQTNv
なんだ、普通の投稿かと思って全部読んじゃったよ(ウソ)

98 :login:Penguin:05/01/29 05:01:01 ID:R+UZvnkl
baselayout は 1.11 にしてる?
どうなのかな。危くないですか?

99 :login:Penguin:05/01/29 10:05:17 ID:a4WzjH0w
あいかわらずprimeが動かないよ…
XIMでもimmoduleでもダメ。
scimも導入してみたけど、scimでも使えない。

ところでscimのanthyで全角スペースを入力するのってどうやるの?

100 :99:05/01/29 10:45:23 ID:a4WzjH0w
100ゲト?

99です。
primeはrubyのバージョンを1.8.1-r7にしたら動いたよ。

101 :login:Penguin:05/01/29 21:50:02 ID:zHbTdefn
Voodoo5でハードウェア3Dアクセラレーションを有効にしようとして
カーネルでagpgartとDRIを有効にしたんですが
% glxinfo | grep rendering
direct rendering: No
となります
Xのログには
(II) TDFX(0): [drm] installed DRM signal handler
(II) TDFX(0): [DRI] installation complete
(==) TDFX(0): Direct rendering enabled
(==) RandR enabled
となっているのに…
もちろん
Load "dri"
Load "glx"
Section "dri"
Mode 0666
EndSection
は記述してあります
x11-drmもドキュメントを参考にして試してみましたがダメでした
カーネルのバージョンは2.6.10-gentoo-r6 xorg-x11-6.8.0-r4です
何か見落としでもあるんでしょうか?

102 :login:Penguin:05/01/29 22:01:41 ID:Ck6xv4y1
>>101
dmesgはどう?

103 :login:Penguin:05/01/30 00:00:47 ID:ABgVW6AH
>>101
つーかgentoo properじゃないろ?

104 :login:Penguin:05/01/30 00:14:22 ID:WtYeCqhW
>>101
xorg.confで

Section "Device"
Identifier "devname"
Driver "tdfx"
...
EndSection

は書いてる?


105 :101:05/01/30 00:55:34 ID:ljN3pchj
>>102
% dmesg | grep drm
[drm] Initialized tdfx 1.0.0 20010216 on minor 0: 3Dfx Interactive, Inc. Voodoo 4 / Voodoo 5
>>104
Section "Device"
Identifier "voodoo5"
Driver "tdfx"
EndSection
こんな感じです
>>103
gentoo properな方法って何でしょうか?

106 :login:Penguin:05/01/30 03:24:18 ID:gOM/5zyf
>>105
gentooと関係ないって事じゃない?

大体、有効にしようとしてどうなったか書いてない。
多分有効にならないって事はわかるけど、
どうやって有効じゃないと確認したのかわからない。

107 :login:Penguin:05/01/30 11:24:34 ID:163AMY+d
ALSAはモジュールとしてコンパイルしろ、って書いてあるの見たんだけど、
やっぱそうしといた方が無難?
もうカーネル組み込みでコンパイルしちゃったんだけど…
今サウンドカードは認識されてないです。いっそのことカーネル再コンパイルした方がいいのかな…

108 :login:Penguin:05/01/30 12:53:15 ID:EfZ6tTiM
俺の場合、ALSAをビルトインでコンパイルすると、起動時に2重で(一度認識したのに
もう一度認識しようとする)認識しようとして駄目だったので
モジュールでコンパイルしたら正しく認識した

今は、カーネル(2.6)のALSAドライバー全てはずして

emerge alsa-driver

使ってる

109 :105:05/01/30 13:07:22 ID:ljN3pchj
自己解決
http://forums.gentoo.org/viewtopic.php?t=210520
これでした
>>106
>>101に書いたように
% glxinfo | grep rendering
direct rendering: No
それとglxgearsが100fps程度しか出なかったからです


110 :login:Penguin:05/01/30 15:05:56 ID:zdPW04eW
>>79
その通りでした。初歩的なミスです。orz

そういえば、hotplugの仕様が変わったのをすっかり忘れてました。

111 :login:Penguin:05/01/30 16:20:53 ID:163AMY+d
>>108
ほっほう…
じゃあ俺もそうします
サンクル

112 :6:05/01/30 18:01:07 ID:ujuIjMHL
こんにちは
gnomeのインストールで2日もかかってしまいました。
いまさらですが>>60で言っていた起動時のエラー箇所はFailed cloopやfailed isa-pnpです
他にも何箇所かあったのですが確認できませんでした。こらは改善できるのでしょうか。
すいません。

113 :login:Penguin:05/01/30 18:42:07 ID:ag2KGCmB
LIVECD作成で躓いています。
ISOイメージでCD−Rに焼いてみたのですが、CDブートしてくれません。
正常に焼けたかチェックする方法はありますでしょうか?
現状では、NEROとCDRECORDでそれぞれ焼いてみましたが、
WinXP,2Kではブランクと認識され、Redhatではmountできずに認識すらされません。
BIOSはCDROMブートにしてありますが、RedhatTが起動してしまいます。
焼き方がおかしいのでしょうか?CDRが安物すぎてだめなのでしょうか?
インストールしたいPCのCDROMが古くてだめなのでしょうか?
どなたか情報がありましたらお願いします。

114 :login:Penguin:05/01/30 18:50:08 ID:pCQG9o2/
>>113
http://pc5.2ch.net/pcqa/
http://linux2ch.bbzone.net/index.php?FAQ%2FBeforeInstall#content_1_5

115 :113:05/01/30 19:12:18 ID:ag2KGCmB
>>114 迅速なレスありがとうございます。CDRECORD以外も試してみます。

116 :113:05/01/30 19:25:08 ID:ag2KGCmB
ありがとうございました。今LIVECD起動確認しました。
CDRECORDのバージョンを最新にしたらうまくいきました。
DELLのCD-RWと相性がわるかったのかもしれません。

117 :login:Penguin:05/01/30 19:50:28 ID:bcmajsMX
>>108
ALSA組み込むなら rc-update del alsasound default
しておかないと調子がおかしくなるよ。


118 :login:Penguin:05/01/30 19:54:35 ID:gOM/5zyf
>>109
すまん。見落としてた。
解決して良かったね。

漏れはsavage(twister)なんだけど、
なんでdriドライバのコンパイル外されてるんだろう。

119 :login:Penguin:05/01/31 17:06:57 ID:vMdLMPHa
Weekly NewsletterにGentoo/PPC GameCD released、
なんて書いてあったから落として焼いてみたけど、
Open Desktop Workstationでしか動かないのか… orz
ひさびさにコースター作っちまった。

120 :login:Penguin:05/01/31 17:36:59 ID:pePVP57l
その手はRWつかうよ

121 :login:Penguin:05/01/31 18:48:19 ID:NGDG+fMX
ptex-3.1.4-r2にしてからdvipsで作ったpsの日本語が全部透明になる
dviをxdviで開く限りは見えてるんだけど
/usr/share/texmfを空にしてからptexを入れ直しても無理みたいです
なんかTeX周りってヴァージョンあがるたびにトラブルね

missfont.logの一部(他は数字の部分が違うだけ)
mktexpk --mfmode / --bdpi 600 --mag 0+577/600 --dpi 577 gbm
mktexpk --mfmode / --bdpi 600 --mag 2+236/600 --dpi 1436 rml



122 :login:Penguin:05/01/31 19:08:38 ID:dV4fahlT
>>121
/usr/share/texmf/dvips/config/config.ps
に p +psfonts.map を追加して,

/usr/share/texmf/dvips/config/psfonts.map
に 以下を追加すれば dvips はおk
rml Ryumin-Light-H
rmlv Ryumin-Light-V
gbm GothicBBB-Medium-H
gbmv GothicBBB-Medium-V

てか,この手の設定ファイルは CONFIG_PROTECT で勝手に上書きされないように
してるんだけど,いつも TeX のバージョンアップ時に上書きされてしまう...

123 :login:Penguin:05/01/31 19:25:11 ID:NGDG+fMX
>>122
ありがと助かった

124 :login:Penguin:05/01/31 20:07:49 ID:nGEqXYri
>>121
今の時期TeX関係のバージョンアップは死にを見るな
というわけで,ptex とそれに絡んだ kdegraphics はずっと棚上げ中

125 :login:Penguin:05/01/31 21:32:11 ID:tleL7YnY
emerge を辞める勇気

126 :login:Penguin:05/01/31 23:20:27 ID:uiqWi6aR
emerge 辞めますか?
Gentoo 辞めますか?

127 :login:Penguin:05/02/01 00:12:38 ID:bqTOfAXB
gentooペンギンの写真かわいい。
あれ、うんこしてるのか?

128 :usata ◆zv4F7hYVWM :05/02/01 02:54:21 ID:kRI/hK1k
>>121-124
とりあえず次バージョンのpTeXからは設定ファイルを
/etcに移動しているのでCONFIG_PROTECTがちゃんと
かかるはずです。teTeXのほうが落ち着かないとpTeX
も落ち着かないわけですが、teTeXのほうもそろそろかな?

129 :login:Penguin:05/02/01 15:04:03 ID:Cj1xKtdS
distccコンパイルできませんした。

!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/gconf-2.8.1-r1/work/GConf-2.8.1/config.log
...done!
>>> emerge (1 of 24) gnome-base/gconf-2.8.1-r1 to /
>>> md5 src_uri ;-) GConf-2.8.1.tar.bz2

error: Library requirements (gmodule-2.0 >= 2.0.1 gobject-2.0 >= 2.0.1 ORBit-2.0 >= 2.4.0)
not met; consider adjusting the PKG_CONFIG_PATH environment variable
if your libraries are in a nonstandard prefix so pkg-config can find them.

依存ファイルの互換性がわけわからん。

130 :login:Penguin:05/02/01 15:44:36 ID:qs8HB1b+
>>error: Library requirements (gmodule-2.0 >= 2.0.1 gobject-2.0 >= 2.0.1 ORBit-2.0 >= 2.4.0)

131 :login:Penguin:05/02/01 15:45:36 ID:qs8HB1b+
再emerge sync
emerge -uD world

132 :login:Penguin:05/02/01 18:18:02 ID:vstfj+ii
USE="-gnome -gtk" emerge distcc
でええんでない

133 :login:Penguin:05/02/01 18:52:47 ID:bqTOfAXB
自宅のミラーより、東大ミラーの方が速いよ…。

134 :login:Penguin:05/02/01 19:05:51 ID:1RRVhPwT
ベストな最適化フラグを探して三ヶ月。ようやく良いのが見つかった。(チラシの裏

135 :login:Penguin:05/02/01 19:43:13 ID:DKamoIEa
>>134
晒してよ。

136 :login:Penguin:05/02/01 21:06:03 ID:FZp3iQtj
>>135
CFLAGS="-pipe -ftracer -O2 -march=athlon-xp -mfpmath=sse,387 \
-fmerge-all-constants -falign-functions=64 -falign-jumps=16 -falign-loops=16 \
-frename-registers -fforce-addr -fprefetch-loop-arrays \
-fno-math-errno -fno-signaling-nans -fno-trapping-math -ffinite-math-only\
-DNDEBUG -DG_DISABLE_ASSERT -w"
CXXFLAGS="${CFLAGS}"

やりすぎだとはわかっている。でもやめられない。今は反省している。

137 :129:05/02/01 22:48:51 ID:Cj1xKtdS
>>130-132
レスありがと。
結局。
emerge sync
emerge -uD world
emerge -p depclean
revdep-rebuild
USE="-gnome -gtk" emerge distcc

6時間かかっちまったよ。ウヒョ

138 :login:Penguin:05/02/01 23:34:52 ID:4/2gFDai
-O3の展開フラグを見ると無駄が多かったのに気づく

139 :login:Penguin:05/02/02 00:48:43 ID:+rWrOAdy
>>136

CFLAGS="-pipe -O2 -march=athlon-xp

ぐらいの場合の差が知りたいテスト

140 :login:Penguin:05/02/02 02:23:04 ID:Ic/S2GWq
ずっと gtk gtk2 -qt -kde な USE で環境を構築してきたんですが
KDEに移行したいと思います.
んで,-gtk -gtk2 qt kde に書き変えて emerge kde するとして
その前に emerge -e worldとかするべきですかね?

KDEのインストールは普通に emerge kde でいいんですよね?

141 :login:Penguin:05/02/02 06:38:28 ID:isXn45Va
>>140
--newuse -uD とか...

142 :login:Penguin:05/02/02 11:26:21 ID:C/MQ6d4E
-march=athlonと-march=athlon-xpって見過ごせない差がある気が。
なんでだろう。CPUの中身はSSEが使えるかどうかでしょ?

143 :login:Penguin:05/02/02 14:19:54 ID:uaEt+kcV
>>CPUの中身はSSEが使えるかどうかでしょ?
答。

144 :login:Penguin:05/02/02 18:31:44 ID:rP564fsZ
1 スピンドルノート Panasonic CF-R3 に,
外付け USB CD ドライブ LF-P767C をつないで,
2004.3 のインストール CD から起動したのですが,
squashfs 環境に入る前に以下で止まってしまいます.

>>Determining root device
>>The root block device is unspecified or not detected.
Please specify a device to boot, or "shell" for a shell.
boot() ::

shell に入って mknod /dev/scd0 b 11 0 して,
USB ケーブルを抜き挿しすると, CD を mount できるのですが,
この状態から, もしくはブートパラメータかなにかで,
squashfs 環境に入る方法はないでしょうか?


145 :login:Penguin:05/02/03 02:03:44 ID:WxW1r3yG
GentooってX立ち上げた時 $HOME/.xsession-error 作られないんでつか?

146 :login:Penguin:05/02/03 02:32:44 ID:VdH4+ldY
>>145
xdm 使えば作られると思う

147 :login:Penguin:05/02/03 12:32:44 ID:zNGkfVL7
>>144
環境は違うけどおれはプラモのCDで
ブートしてインスコしますたよ

148 :login:Penguin:05/02/03 13:46:12 ID:5kNuBcT0
最適化フラグ探しでシコシコしてるおまいら、いますぐ
emerge acovea
したらどうですか?
詳しくは以下
http://forums.gentoo.org/viewtopic.php?t=271084

149 :login:Penguin:05/02/03 16:13:49 ID:g8GlqWoA
prelink試してるんですけど、どうもprelinkが行われていないようです。
-aで全部指定しても、ファイル指定してもprelinkが行われません。
~x86環境です。

binutils, elfutils, gcc, prelink は入れ直してみましたが、ダメでした。
何か参考になる情報はありませんでしょうか?

150 :login:Penguin:05/02/03 18:27:50 ID:OZQ7PAQu
>>149
実は気づいてないだけとか?

# prelink -afmRv

とか --verboseを立ててみるといろいろ出てくるよ

151 :login:Penguin:05/02/03 18:54:15 ID:cKyuTUEa
>>147
Knoppix では外付け USB CD から立ち上がるので,
stage ファイルを HDD にいれておけば,
インストールはできると思います.
Gentoo の LiveCD はまっさらな状態からでも,
それだけあれば何とかなるという安心感があったのですが,
Knoppix ほどはどんな環境でもとはいかないようですね.


152 :login:Penguin:05/02/03 20:46:19 ID:g8GlqWoA
>>150
パッケージのCONTENTSとmd5sum同じだし、
-uで戻そうとするとprelinkされてないって言われる。
-pでキャッシュ表示させても何もないって言われる。

-vつけても全然情報でないんだけど、そこからおかしいのかな。
もう少し調べてみます。

153 :login:Penguin:05/02/04 02:27:20 ID:dvXbgbzo
>>148
PPCはサポート外だってさ'`,、'`,、(ノ∀`)'`,、'`,、

154 :login:Penguin:05/02/04 08:41:22 ID:H5syrqIj
kdeenablefinalのUSEフラグキタ Y⌒Y⌒Y⌒Y⌒Y⌒Y⌒(。A。)!!!

155 :login:Penguin:05/02/05 00:20:46 ID:oQfqCo9l
>>154
サンクス。emergeしたら劇的にKDEが速くなったよ。

156 :login:Penguin:05/02/05 20:04:43 ID:/sNHHXDO
なにかの影響でxorg-x11が6.8.0-r4から6.8.0-r3へダウングレードされるのですが
なにの影響か調べるにはどうしたらいいでしょうか?

157 :login:Penguin:05/02/05 20:55:03 ID:0fKCXgwS
-uptD

158 :login:Penguin:05/02/05 21:11:47 ID:/sNHHXDO
portagejp(ebuildjp)のxorg-x11-6.8.0-r4がマスクされてるからでした


159 :login:Penguin:05/02/05 23:05:36 ID:0bPs2LC/
ためしにLIVECDで起動したのにSTARTXコマンドねえしばかかこのOS
GENTOOTTTE最悪やね他のほうが100倍まし

160 :login:Penguin:05/02/05 23:13:23 ID:/VLxmyOY
蛸は蛸らしくN88BASICでも使っとけ

161 :login:Penguin:05/02/05 23:40:09 ID:MIzC/FfI
>>159
startxを大文字で打つ厨

162 :login:Penguin:05/02/05 23:46:59 ID:G9yWHdRO
X Window SystemがインスコされてなきゃLinuxじゃないのかそうだったのか。

163 :login:Penguin:05/02/05 23:50:37 ID:AXCPpVsz
おまいらこんな露骨な釣りに反応してどうすんだ?

164 :login:Penguin:05/02/06 00:26:21 ID:Kf3YQQjk
まぁ、ぶっちゃけそこら中に転がっているバイナリをわざわざコンパイルするのは
暇つぶし以外の何でもないんだけどな。

165 :login:Penguin:05/02/06 00:32:02 ID:kX6TI7a/
落ってるならバイナリ使いたいんだけどね。

コンパイルオプションとか最適化とか考えると、
どこにも理想のバイナリが落ちてない罠。

166 :login:Penguin:05/02/06 03:28:24 ID:Yim9h9+T
>>165
落ちてるバイナリと理想のバイナリに突起すべき差があるならな。

167 :login:Penguin:05/02/06 04:21:03 ID:23dV6n38
Gentooはコンパイル厨にソースを読んでその構造を暗記しなくてはならない

168 :login:Penguin:05/02/06 04:49:35 ID:wsOzvPB2
<裏の白いチラシ>
courier-imap-4.0.1 になってから調子が悪い.
いろいろ調べた.

/etc/courier-imap/authdaemond.conf の
AUTHDAEMOND="authdaemond.plain" を AUTHDAEMOND="authdaemond" にする.

courier-authlib を起動する.rc-update で追加しておく.

/etc/init.d/authdaemond と /etc/init.d/courier-authlib が二つあるのはなぜ?
しかも,authdeamond の方は AUTHLIB のパス間違ってるし...
</裏の白いチラシ>

169 :login:Penguin:05/02/06 05:26:26 ID:Kf3YQQjk
kdeenablefinalいいね。
coLinux+Cygwin/Xの貧乏環境でも常用できそうだ。

170 :login:Penguin:05/02/06 13:40:10 ID:wj/hDxwT
/etc/X11/に、
X -> ../../usr/bin/Xorg とかいう、指してる先のファイルが存在しないシンボリックリンクがあったんで、
(ついでに/usr/bin/Xってファイルも実在しないファイルへのシンボリックリンクだったんで、それも消した)
気を利かせてrmしてやったら、なんかX起動しなくなった… orz
記憶を頼りにまた同じようにシンボリックリンク張ってみようと思ったんだけど、無理だった
これうまいこと一部のファイルだけ復元する事ってできないんですかね?

171 :login:Penguin:05/02/06 14:04:15 ID:BLWzCtGJ
俺の環境だと
/etc/X11/X -> ../../usr/X11R6/bin/Xorg
だった。
/usr/bin/X は無かった。
あと /usr/X11R6/bin/X -> Xorg だった。

/usr/bin/X でなく /usr/X11R6/bin/X の見間違いだったりとかは?

172 :login:Penguin:05/02/06 14:05:33 ID:BLWzCtGJ
なんか X11R6/bin が bin に置換されてるような感覚。

173 :login:Penguin:05/02/06 14:39:16 ID:wj/hDxwT
いや〜…、なんか俺物凄くヤバイ事しちゃった気が…
本当にあれはシンボリックリンクだったのかさえ怪しくなってきた
ls --colorすると反転で赤く表示されてたし、実際無かった気がしたんだけど
ちょっとこれを機にカーネルの再コンパイルとかからやっちゃおうかな…

174 :login:Penguin:05/02/06 14:51:22 ID:6xf0aFm9
家はこんな感じ。

/etc/X11:
lrwxrwxrwx 1 root root 24 1月 22 07:15 X -> ../../usr/X11R6/bin/Xorg

/usr/X11R6/bin:
lrwxrwxrwx 1 root root 4 1月 22 07:15 X -> Xorg
-rws--x--x 1 root root 2141344 1月 22 07:15 Xorg

普通にリンクできてた。/usr/bin/Xはなかった。
参考まで・・・。なんとか直るといいですね。


175 :login:Penguin:05/02/06 15:19:30 ID:wj/hDxwT
ぶっちゃけもうmake --menuconfigしてるとこだったりする
これを機に色々設定し直します。えへへ

176 :login:Penguin:05/02/06 21:29:09 ID:ID0lX3Jj
>>168
authdaemondは古いです。
config protectされてるだけと思われる。

177 :login:Penguin:05/02/06 21:35:04 ID:6xf0aFm9
>>168
あれ?普通にemergeしてetc-updateするだけでその辺全部辻褄あわせてくれるはずなんだけど・・・
courier-imap起動するとneed指定されてるから勝手にauthlib上がるし|´・ω・)

178 :login:Penguin:05/02/06 21:53:49 ID:UzY7kYOT
>>168
/etc/userdbが/etc/courier/authlib/userdbに移ったせいとか。
うちはこれではまった。


179 :login:Penguin:05/02/07 14:09:22 ID:Y6xH2QCE
えらい遅レスになってしまったが、
160はLinuxでの蛸の意味もしらんのか?w

ここみとけw
http://www.linux.or.jp/readme.html#tako

180 :login:Penguin:05/02/07 14:42:22 ID:cIn9jMyq
つーか、勝手に定義すんなってかんじ。
日本リナックスユーザ会ってアレだから感じ悪い。

181 :login:Penguin:05/02/07 14:47:54 ID:RXoGru6x
>>180
同意。でもまあ、香ばしいのは放置プレイだ。

182 :login:Penguin:05/02/07 15:07:01 ID:H3R9LnSR
>>180
アレって何?

183 :login:Penguin:05/02/07 15:50:57 ID:QYo8xTFm
>>180
> 日本リナックスユーザ会って
いつの話だ。

184 :login:Penguin:05/02/07 15:53:52 ID:cIn9jMyq
↓こんなのへりつくだよ。この原文は「日本リナックスユーザ会」だろ?


「タコ」

一般に「タコ」というのは「場違いな未熟者」くらいの 蔑称に近い意味で用いられることが多い言葉ですが,
日本の Linux コミュニティでは少々語感が異なっており, 「自助努力で頑張る初心者」たちのことを,
一種の愛情を込めて「タコ」と呼んできました.


185 :login:Penguin:05/02/07 16:03:00 ID:QYo8xTFm
>>184
http://www.linux.or.jp/mailto.html

186 :login:Penguin:05/02/07 16:06:56 ID:jCDrbuep
>>179-186
スレ違い

187 :login:Penguin:05/02/07 16:08:58 ID:cIn9jMyq
自称するのは構わないと思うが、
それを一般的な愛称であるかのような定義をするのが問題。
あえてメールなんか出さないよ。
だけど、そんな呼び方するから人が離れていくんだという
自覚をもてないのは、管理グループの責任。


188 :login:Penguin:05/02/07 16:10:54 ID:jCDrbuep
うるせえんだよボケ。よそでやれっつってんだろハゲ!

189 :login:Penguin:05/02/07 16:26:19 ID:cIn9jMyq
>>188
リンクをどうぞ。

190 :login:Penguin:05/02/07 16:40:59 ID:QYo8xTFm
>>189
http://pc5.2ch.net/test/read.cgi/linux/1099438095/

191 :login:Penguin:05/02/07 18:34:01 ID:4lDmxpGW
>cIn9jMyq

わざわざスレ違いなことをageてまでやらないように、白痴君。

192 :login:Penguin:05/02/07 18:42:10 ID:jCDrbuep
>>191
つづきやりたいならテメエも向こう逝けや。

http://pc5.2ch.net/test/read.cgi/linux/1099438095/

193 :login:Penguin:05/02/07 20:27:08 ID:JNAcSHp0
AMD64のanthy直ってる?


194 :login:Penguin:05/02/07 21:43:57 ID:wXKQLA4F
/var/lib/courier(/authdaemon) の パーミッションおかしくないですか?

authdaemond のソケットへ誰でも問い合わせ可能になっているような・・・

195 :login:Penguin:05/02/07 22:17:16 ID:SHRxSRCh
うわっ、syncしたらpython-2.3以上がマスクされてやんの。しかもppcだけ。
ウpデートできねじゃん。package.keywordsとかpackage.maskに書くのマンドクセ。
てか腑におちねー。
マカーとかPPCアーキテクチャに対して厳しいんすかね。

196 :login:Penguin:05/02/07 22:34:59 ID:nxJIXgKt
むむぅ。emerge sync;emerge -uD worldしたらsvgalibで異常終了!!
なぜにquota絡みで落ちるかなぁ!?
とりあえず、kernelでquotaサポートさせてみるか・・・家のマシン遅いから辛いんだよね・・・

197 :login:Penguin:05/02/08 08:56:56 ID:2JGD83kR
courier-imapが3から4になった時に、削除されないファイルがあるっぽい?
/etc/init.d/authdaemond
があるせいで、emerge のたびに
Cannot add provide 'authdaemond', as a service with the same name exists!
こんなの出てる。
equery b /etc/courier-imap/*
ってやると削除されてないっぽいファイルがほかにも。

これって、emergeの時に削除されるのが普通なのかな?
それとも、手動で削除が普通?

198 :login:Penguin:05/02/08 10:17:44 ID:qq44hROe
>>197
config protectじゃないの?
新バージョンインストールした時の前バージョンunmergeで、
どう表示されるか確認してみな。

199 :login:Penguin:05/02/08 10:47:30 ID:2JGD83kR
そうか、config_protectですか。
よく読んでみたら、176の方が既に同じようなことをレスしてましたね。
emerge -C courier-imap-3.0.8
では
No packages selected for removal.
って言われちゃったので、手で削除しちゃいます。

200 :login:Penguin:05/02/08 11:10:48 ID:2JGD83kR
連投スマソ
Portageマニュアルのunmergeのとこに、
!mtime、!empty、cfgpro なんてのの説明があったのね。
削除されたときに、ちゃんとコレチェックしとかないとダメだね。
emerge.logに残ってくれてたらうれしかったのになぁ。

201 :login:Penguin:05/02/08 16:27:56 ID:IMl2Ds7v
svgalib異常終了しなかったよ?
というより/lib/modulesに入るやつカーネル入れ換えるたびに
再コンパイルした方がいいのかな?

202 :login:Penguin:05/02/08 19:56:21 ID:l1GS0ndA
>>201
quota有効だったんじゃないかな?
おいらquota外してたから、quotaんとこだけ変更してemerge --resumeしたら通った。
なぜにquotaなのかはいまだ分からずw

203 :login:Penguin:05/02/09 01:46:26 ID:gU+Fxwdu
apahceのsuexec環境を常に、

--with-suexec-docroot=/home

として作りたいのですが、コンパイル前にebuildを
書き換える以外の良い方法はないでしょうか?

204 :login:Penguin:05/02/09 02:19:20 ID:nPhntutm
2005.0の正式リリースっていつかな?
カーネルパッケージの名前が変わるだとかそんな話がGWNに出てたような気がするのだが

205 :login:Penguin:05/02/09 17:28:12 ID:uUCkXP0g
>>202
quotaはカーネルでオフにしてますが

206 :login:Penguin:05/02/09 20:47:33 ID:S/nSju42
>>204
順調に延びているところ

207 :login:Penguin:05/02/10 05:18:42 ID:ijreDLUV
>>204
それってインスコし直しってこと? まさかそんなことはないよね。

208 :149:05/02/10 06:13:10 ID:lkuk0Obb
やっぱりprelink出来ません。

prelinkのオプションにvを沢山つけたら、詳細が出るようにはなりました。
しかし、
Checking executable ...
Checking shared library ...
が沢山出た後、何もせずに終了していまいます。

最近、revdep-rebuid --soname libc.so.6 したんで、
prelink されているものもないはずです。

もしかして、prelink出来ないものがあった場合、
prelinkは全く行われないのでしょうか?

209 :149:05/02/10 06:57:16 ID:lkuk0Obb
よくわからないけど、
自動生成(/etc/env.d/60prelink編集 & env-update)したprelink.confじゃなくて、
手で書いたprelink.confを参照させたら出来ました。
-b 以外は、-lも-hもつけていません。-hが問題っぽいんだけど。

210 :login:Penguin:05/02/10 20:17:46 ID:y7GmU+M5
>>206
thx。2005.0移行と同時に2.6ヘッダ,nptl,udevなんかを入れてみようと思ってたんだけどな


211 :login:Penguin:05/02/10 20:27:10 ID:y7GmU+M5
>>207
特に再コンパイルの必要はないと思うよ。パッケージ名が変わるだけみたい。もちろんlinux-headerあげるとglibcから-e worldだとおもうけど。
今のgentoo-dev-sourcesがgentoo-sourcesになり、linux-headersの2.6系のマスクが外れるみたい。linux26-headersを使っている人はlinux-headersに移行するようにとか書いてあったような気がする。
ちゃんと2.4カーネルサポートも残るみたいだけど。

212 :login:Penguin:05/02/11 11:08:33 ID:k6R/4Dcv
Emacsが21.4に上がったら妙に軽いぞ!
と言いたくてnavi2ch起動したんだが
起動時の絵がなぜか変わっとる orz
navi2chの方はなんもいじっとらんのに
これどういうしくみなんだろ。

213 :login:Penguin:05/02/11 21:31:08 ID:rWXwKPHM
2005.0インストールして見ようかな

214 :login:Penguin:05/02/11 22:29:29 ID:BoHFv45G
激しくエロ画像をスライドショーしたいのですが、portageから気軽に入れれる
やつなにかお勧めないですか?

215 :login:Penguin:05/02/11 22:47:06 ID:k6R/4Dcv
>>214
$ls /usr/portage/media-gfx/


216 :login:Penguin:05/02/11 22:55:52 ID:0kZ//ZM3
$ls /usr/portage/media-gfx/
bash: ls: command not found

217 :login:Penguin:05/02/11 23:00:49 ID:BoHFv45G
gfxだったんですね〜。ありがとう。gqviewにしたよ。

218 :login:Penguin:05/02/12 00:02:45 ID:yjjCG9fb
>>212
どういうふうに変わった? USEフラグが変わったんじゃないかな。。
>>214
gimageviewとかいかが?

219 :login:Penguin:05/02/12 00:29:29 ID:4BzsapFU
>>214
gwenbiewとか

220 :login:Penguin:05/02/12 02:12:03 ID:quDZUGBq
gnomeをフルで入れてやろうとしたらSpamAssasinでつまづいた。
perlのHTML-Parserがみつからないとのこと。
emerge -s してみると入ってるのだが
/usr/lib/perl5/vender_perl/5.8.5/i386-linux/auto/以下に入ってて
@INCにはi686-linuxしか記述されていない。
HTML-Parserをemergeしなおしたらi686-linux以下にインスコされた。

これはこれでいいんだけど、i386-linux以下にはまだkakasiなどのpmが残ってる。

原因は去年インスコしなおした時stage3からだった、ということでOK?
それと、i386以下のpmその他、やっぱemergeしなおすべき?
長文スマソ

221 :login:Penguin:05/02/12 03:01:39 ID:aIiFVJ6Y
Perlのバージョン上げたせいじゃないの?
基本的にはemergeしなおすべきだと思う。

222 :login:Penguin:05/02/12 04:09:32 ID:ShgG2qaO
ふと気づくと、起動時に
Profile does not exist or invalid setting for /etc/env.d/gcc/i686-gentoo-linux-3.3.5
のようなエラーがでるようになってしまったのですが、これを直すにはどうすればよいのでしょうか?

223 :login:Penguin:05/02/12 09:20:24 ID:D2qmfBYt
amd64でkdeかqtおかしくないですか?

kde.eclassで
--with-qt-libraries=${QTDIR}/${get_libdir}ってのがあるんだけど、
lib64が無いのよね。
そのせいでKDE関係がインストールできない。
前は出来てたから、なにか変わったんだと思うんだけど。

kdeはlib64がlibのシンボリックリンクなんだけど、
それと同じようにしておけばいいのかな?

224 :login:Penguin:05/02/12 10:40:38 ID:D2qmfBYt
>>223
qtをunmerge/mergeしたらいけました。
普通に上書きだと駄目な模様。

225 :login:Penguin:05/02/12 11:09:26 ID:1tU4hEkq
glibc-2.3.4.20050125を使ってみた人はいますか?

226 :login:Penguin:05/02/12 12:16:58 ID:aIiFVJ6Y
>>222
エラーだっけ。警告だったような気が。
自分のところでも出るけどi686-gentoo-linuxという名前がまずくて、
CHOSTがi686-gentoo-linux-gnuとかいうふうにフィールド4つ
あることを期待されているコードだった気がする。直すのも面倒なので
放置しているけど。

227 :login:Penguin:05/02/12 15:54:36 ID:7zKu0Kka
Gentoo固有の問題かどうかわからないけど
compaq nx9010というノートPCで、フルスクリーンに切り替えるアプリを使うと
画面の一部(左上側)だけが拡大された状態になって操作不能になる。

dri(drm)を無効にすると正常なんだけども、原因がよくわからない。
詳細を御存知の方がいたらご教示きぼんぬ。

drmのモジュールはkernel付属のradeon.ko
2.6.10-gentoo-r7 preempt PENTIUMIII REGPARM gcc-3.4

ATI RS200/RS200M AGP Bridge
ATI radeon IGP 340M (AGP x4)

sys-kernel/gentoo-dev-sources-2.6.10-r7
x11-base/xorg-x11-6.8.1.904
sys-devel/gcc-3.4.3.20050110
sys-libs/glibc-2.3.4.20041102



228 :login:Penguin:05/02/12 17:13:31 ID:75t211vW
Pentium3@600MHzのマシンにインストールしようと思ってるんだけど
Pentium4@2.8GHzとPentiumM@1.7GHzのマシンで分散コンパイルしたら
単体より4倍くらい早くコンパイル終わる?

229 :login:Penguin:05/02/12 17:26:58 ID:o2FVN2Rh
おわらいでか

230 :login:Penguin:05/02/12 17:31:45 ID:xmcY0LkP
お笑い刑事

231 :login:Penguin:05/02/12 23:43:44 ID:jqquvppO
人に聞く前にやってみろ

232 :login:Penguin:05/02/13 01:44:30 ID:8ztpswH9
インストールにトライしていますが、
emerge system の途中でエラーで落ちます。
ncursesをコンパイル中にエラーが起きています。
USEオプションは"innodb jike -gtk -gnome -kde -X "です。

エラー情報はどこを見ればよいのでしょうか?
また、参考になりそうな情報があれば教えてください。

233 :login:Penguin:05/02/13 01:50:13 ID:3bGZv6wJ
環境がわからないが、make.confいじらないでemerge systemするが吉。

234 :login:Penguin:05/02/13 02:25:01 ID:8ztpswH9
そうですよね。今日はそれを試して朝。見てみます。お返事ありがとうございます。

235 :login:Penguin:05/02/13 04:13:33 ID:rS8Ne2fE
>>231
だって、P3で3日かかるのがほかのPC使って2日だったらいやでしょ?
3台2日間使えなくなるくらいなら3日かけてコンパイルした方がいい
とか事前に判断できるでしょ。
なのに、試せって?

236 :login:Penguin:05/02/13 04:18:55 ID:FXDfAqGi
コンパイルしなくていいディストロを使えばいいんじゃないかしら

237 :login:Penguin:05/02/13 04:38:42 ID:KkoNpM9Z
>>235
リモートのdistccのnice値とホストのportageとdistccのnice値を下げてやればいいんでないの。
他の二台を何の用途に使っているのかにもよるけどね。

238 :login:Penguin:05/02/13 06:33:49 ID:LNyvB/Yc
すまんお手上げ。
mod_perlビルド中エラー。

make[1]: Entering directory `/var/tmp/portage/mod_perl-1.27-r4/work/mod_perl-1.27/File'
cp File.pm ../blib/lib/Apache/File.pm
make[1]: Leaving directory `/var/tmp/portage/mod_perl-1.27-r4/work/mod_perl-1.27/apaci'
make: *** [apxs_libperl] Error 2
make: *** Waiting for unfinished jobs....
Manifying ../blib/man3/Apache::File.3pm
make[1]: Leaving directory `/var/tmp/portage/mod_perl-1.27-r4/work/mod_perl-1.27/File'

!!! ERROR: dev-perl/mod_perl-1.27-r4 failed.
!!! Function src_compile, Line 47, Exitcode 2
!!! (no error message)

gentoo-user@gentoo.org に同様のエラーが報告されてるんだが
リプライがついてない・・・。

239 :login:Penguin:05/02/13 07:16:20 ID:LNyvB/Yc
ああapache2だからか。
板汚しごめんちゃい

240 :login:Penguin:05/02/13 21:12:56 ID:KkoNpM9Z
gawkをのバージョンを上げたらlibexpat.so.0を読み込めなくなって起動不可になった。
LiveCDから起動してgawkのバージョンを下げたら元に戻ったけど。

241 :login:Penguin:05/02/13 23:16:30 ID:5zlfCa9C
navi2ch-cvsのportageってなくなっちゃったの?

242 :login:Penguin:05/02/14 03:31:53 ID:JCFy3Do9
emerge --syncやった後に
emerge apacheをやっても
2.0.53にならんとです

よくやり方がわかりません

243 :login:Penguin:05/02/14 03:59:49 ID:rMSw4sFJ
~x86にしてないとか?

244 :login:Penguin:05/02/14 23:43:25 ID:vTFen2d9
俺的づろん850再利用gentooデビューメモ
CFLAGS="-O3 -march=athlon -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j2"
GENTOO_MIRRORS="http://mirror.gentoo.gr.jp ftp://ftp.ecc.u-tokyo.ac.jp/GENTOO http://gento
o.gg3.net/ ftp://gg3.net/pub/linux/gentoo/"
PORTAGE_NICENESS=-5
USE="-alsa -xv -arts -gnome -kde -X -qt -gtk -gtk2 -motif -java -xms -f77"
FETCHCOMMAND="/usr/bin/wget -t 5 --passive-ftp --limit-rate=100k \${URI} -P \${DISTDIR}"
SYNC="rsync://rsync.jp.gentoo.org/gentoo-portage"
CCACHE_SIZE="2G"

hda_args="-d 1 -A 1 -m 16 -u 1 -a 64 -X66"
cdrom0_args="-d1"

245 :login:Penguin:05/02/14 23:57:19 ID:oJMTSKxX
ナローバンドで Gentoo してる人いますか?

246 :login:Penguin:05/02/15 00:24:44 ID:A4VVO0Jx
野良無線LANとか1M ADSLとかか?

247 :login:Penguin:05/02/15 00:28:25 ID:zEUwX8yI
フォトカプラとかだろ

248 :login:Penguin:05/02/15 00:40:45 ID:sbB//z2e
>>245
おととし@FreeDからADSLに移行が決まっていたので
ネタついでに二週間ばかしGentoo on @FreeDしてみてた。

死ぬかと思った orz

249 :login:Penguin:05/02/15 01:23:10 ID:p4uSAFq2
/usr/portage/distfiles/以下の必要なくなったファイルは
手作業で消すしかないのでしょうか?それともなんか手順が
あるんでしょうか?

250 :login:Penguin:05/02/15 01:44:04 ID:+TLDi6EX
>>249
無いよ.容量逼迫したら消してみたら?
xorg-x11とかkernelとか頻繁に更新されるけどパッチで対処しているのは
残しておくと帯域に優しいかも.

251 :login:Penguin:05/02/15 02:00:49 ID:p4uSAFq2
>>250
やっぱ無いんですね。容量的にはまだまだ大丈夫なんですが古いのは
一気に消せるのかなと思って。確実に要らないのだけ消すことにします。

252 :login:Penguin:05/02/15 02:27:54 ID:Lv1Gmj1n
distclean-0.2.pyとかあったと思うが

253 :login:Penguin:05/02/15 07:43:08 ID:tYzyMnOy
GentooでKDE使ってます。
Konquerorでビデオファイルをプレビューしたいと思い、
「表示->プレビュー->ビデオファイル」をやろうとしたら、
ビデオファイルの選択肢がありませんorz
DebianもFreeBSDもあるんですけど、Gentooにはないんでしょうか?

254 :login:Penguin:05/02/15 09:01:25 ID:GJx46RMt
ISDNだけど何も困んない。頻繁にアップデートなんてしなきゃいいんだけ。
回線使ってないときに、ファイルをダウンロードしておいて、CPU空いてる
ときにビルドするだけだし。

255 :login:Penguin:05/02/15 10:02:35 ID:er4M41DT
>>253
Debian, FreeBSD, Gentoo を使っててそのテイタラクはありえない

256 :login:Penguin:05/02/15 11:25:20 ID:Lv1Gmj1n
>>253
ん?あるけど?

257 :login:Penguin:05/02/15 12:01:31 ID:onUUeF2U
>>249
tmpwatchとかどうよ

258 :249:05/02/15 23:05:55 ID:p4uSAFq2
>>257
ども
単純に長期間アップデートされないパッケージがあればそれも消されてしまい
ますよねカレントのバージョンは残したいし。一応検討してみます。
ソースベースLinux故に手で消すのは仕方がないかもしれません。

259 :244:05/02/15 23:46:51 ID:tMs6jxoT
>>244
無事2005.0インスコ完了しますた

260 :login:Penguin:05/02/16 00:09:33 ID:VqOTKivn
えっ、2005.0出た?

261 :login:Penguin:05/02/16 00:13:18 ID:/5IBlgWz
あれ?2005.0でたの?
メール来るのかと思ってた(ML

262 :login:Penguin:05/02/16 00:40:51 ID:p4lyVPuT
三日前に入れた時は、gentoo-sourcesがまだ2.4だったぞ。
2005.0では2.6になるはずだから、まだ準備中だよ。

263 :login:Penguin:05/02/16 03:44:07 ID:6SEKH4EY
x86-installcd-minimal-2005.0-rc5.isoを使ってインストールしたって事じゃない頭?

264 :login:Penguin:05/02/16 07:08:50 ID:eb3+PVod
今週のGWNにも Tips and Tricks がなしか
あのコーナー好きだったんだけどつぶれちゃったのかな

265 :login:Penguin:05/02/16 08:34:10 ID:Z5A1iVEL
hardenedでは、glibc-2.3.4.20050125がコンパイルできない模様。
bugzilla探したら既にあった。
http://bugs.gentoo.org/show_bug.cgi?id=81457

hardenedな人って少ないのかね。

266 :login:Penguin:05/02/16 09:21:29 ID:PqhYnl6b
昨日、emerge -upD worldした後
etc-updateして動いてましたが、今日再起動したら初めルートが立ち上がらずfsck /dev/hda3して
チェックした後ようやく起動しました。
が、今日emerge sync出来ない…。
次のようなエラーが出ます。

Failed to write to mtimedb: [Errno 30] Read-only file system: '/var/cache/edb/mtimedb'

どなたか分かる人いませんか?

267 :login:Penguin:05/02/16 09:25:26 ID:yyvkzcZL
/varが"Read-only"でマウントされてるだけじゃなくて?

268 :login:Penguin:05/02/16 09:27:09 ID:tqz7gF2q
Gentooをミッションクリティカルなサーバで使うってあまり推奨されてないんでしょうか
どちらかというとクライアント向けという印象なんですが
Gentooで立ててるどこか有名なサイトってありますか?

269 :266:05/02/16 09:47:04 ID:PqhYnl6b
>>267
アドバイスありがとうごさいます。

drwxr-xr-x 13 root root 4096 1月 8 11:34 var
drwxr-xr-x 6 root root 4096 1月 13 18:18 cache
drwxrwxr-x 3 root portage 4096 2月 13 13:02 edb
-rw-rw-r-- 1 root portage 1429 2月 13 19:07 mtimedb

となっているので、パーミッションの問題ではないと思うんですよね。

もう一度再起動するために、取り合えずバックアップ取ってる所です。

270 :login:Penguin:05/02/16 09:58:24 ID:rlmH+RqP
>269
いや、そうでなくて。
mount コマンドの結果をさらしる。

271 :login:Penguin:05/02/16 10:59:00 ID:MD/8Nb2p
>>269
etc-updateすると、/etc/fstab書き換わるんじゃなかったっけか

272 :266:05/02/16 11:23:59 ID:PqhYnl6b
>>270
こんな感じです↓。

# mount
/dev/hda3 on / type ext3 (rw,noatime)
none on /dev type devfs (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw)
/dev/hda1 on /boot type ext2 (rw,noatime)
/dev/hda4 on /home type ext3 (rw,noatime)
/dev/hdb1 on /mnt/data type ext3 (rw,noatime)
none on /dev/shm type tmpfs (rw)
none on /proc/bus/usb type usbfs (rw)

fsck /dev/hda3 掛けたら元に戻りましたが、未だに恐くてemerge sync やる気にならないです。

273 :login:Penguin:05/02/16 12:30:46 ID:xvoSHfUv
「FreeBSDユーザーの為のGentooLinux移行ガイド」
ってな感じのHP誰かつくって。


274 :login:Penguin:05/02/16 13:03:42 ID:0/X8VRJe
〜 FreeBSDユーザーの為のGentooLinux移行ガイド 〜

etc-updateがmergemasterと勝手が違うことをいちいち報告しない。
/usr/local/にパッケージを入れたいとかいちいち相談しない。
デフォルトのシェルがbashであることに疑問を抱かない。

275 :login:Penguin:05/02/16 15:12:22 ID:tqz7gF2q
>>273
それ俺もほしい
とりあえず、portversion -v に相当するコマンドがわからん
アップデートしないといけないアプリ調べるのに
今 emerge -pv xxxxx でひとつひとつ確認ている


276 :login:Penguin:05/02/16 15:35:11 ID:IO9eeQ3X
>>275
アップデートしないといけないアプリの基準がわからん
worldじゃだめなの?
emerge -pv world

アップデートしたくないアプリは
emerge --oneshot hoge
で入れるとか

277 :login:Penguin:05/02/16 17:41:09 ID:1eJsVBJd
http://wiki.gentoo.gr.jp/index.php?%5B%5B%A5%D1%A5%C3%A5%B1%A1%BC%A5%B8%B4%C9%CD%FD%A5%B3%A5%DE%A5%F3%A5%C9%C8%E6%B3%D3%5D%5D

278 :login:Penguin:05/02/16 20:13:09 ID:Tnydj67y
AMD64でインスコすると(stage1)gccで必ずこけるのは
漏れだけ?

279 :login:Penguin:05/02/16 21:31:09 ID:p4lyVPuT
devfsからudevに替えたらUSBプリンタで印刷できなくなった。
まだまだなのかなぁ。

280 :login:Penguin:05/02/16 23:15:13 ID:rlmH+RqP
>272
それが再起動前だったら不可解。
で、さらしてもらた結果が再起動後のものだとして、以下。

ブート時にファイルシステムにエラーが発見された場合、リードオンリー(ro)
でマウントされるように /etc/fstab で設定されています?
そうであるなら >267 が正解だと思う。
リードオンリーでマウントした場合、ディレクトリやファイルのパーミッションに
関らず、書き込みはできないのでつ。

再起動前の結果ならほんとにわからなくて申し訳ない。

281 :login:Penguin:05/02/17 00:08:36 ID:v7P3x55s
>>279
この程度の問題が解決できない自分って
> まだまだなのかなぁ。

己の無力さに落胆してる?

282 :login:Penguin:05/02/17 01:00:08 ID:eL2lyBQ8
>>281
消えろ

283 :login:Penguin:05/02/17 01:43:12 ID:yTQ0YNGx
>>278
俺もこけまくって、もうよく分かんなかったからstage2から入れたよ。

284 :login:Penguin:05/02/17 02:38:02 ID:A8n3xc0U
なんか、元気に動いていたGentooをリブートしたら、ブートしなくなりますた。
ガイシュツかもしれませんし、わかりにくいかと思いますが、どなたかお助けを。

kernelはgentoo-dev-sources-2.6.10-r1。udev使いたいのでdevfsのロードは
外してmakeしてあります。起動時のメッセージを見ると、カーネルの読み込みと
組み込みのモジュールの初期化とかは完了している模様。
で、Configuring systemにudev使うよってメッセージが出た次の行、
Populating /dev with device nodes...でエラー。
さらに以下のメッセージが出てきます。

* The "tar" command failed with error:
/sbin/rc: line 25: cannot redirect standard input from /dev/null: no such file or directory.
(中間は略しますが、bzip2が標準入力・標準出力のデータがおかしいとか
なんとか出た後、tarが失敗してこれはcriticalだよ、といわれます)
/dev/console: No such file or directory.

ここで、rootパスワードかCtrl-Dかきかれます。シェルに入って/devを見ると、
initctl, vcc/, vcs1, vcsa1があるだけで、consoleすらありませんでした。
で、シェルを抜けるとリブートするんですが、このとき、/dev/shmがumountできないと
エラーがでます。これは当然ですね。/dev/shmがないので。

どうも、/devの初期化がうまくいってないようなのです。試しにdevfsを組み込んだ
カーネルを作ってみたところ、起動てしまいました。
(カーネルはlivecdで起動してインストール時の手順で追加)

前回正常起動したとき以降、何をインストールしたかは不明です。gnomeやら何やら
いれてたし、emerge -u worldとかもしたので。
udevを入れなおしてみたり、hotplugを入れなおしたりしてみましたが、どうしても直り
ません。udevはCONFIG_PROTECT='-*'までつけて入れなおしたんですが…

どなたか心当たりのある方、これやってないだろヴォケというのがある方、どうか
お助けください。

285 :login:Penguin:05/02/17 02:43:20 ID:37atpNzP
>>284
/dev/.devfsd を消してリブートしてみたら?

286 :login:Penguin:05/02/17 03:00:57 ID:A8n3xc0U
>>285
まず、.devfsdのファイルがあるのがdevfsで起動したときのみだけ見えて、
しかもrmでは消えませんでした。
livecdでブートしてマウントしても/mnt/gentoo/devにはなく(.keepは
ありましたが。)、途中までブートしたudevのみの場合でもありませんでした…

287 :login:Penguin:05/02/17 03:17:23 ID:NlAb36MB
>>286
http://www.gentoo.org/doc/ja/udev-guide.xml#doc_chap3
じゃね?

288 :284:05/02/17 04:09:25 ID:A8n3xc0U
>>287
「ブート時のデバイスノードファイル不足」ですよね。これに関しては確認しました。
該当しないのです(⊃Д`) つまり、

(1) HDD上のstaticな定義(ご指摘の内容) ... OK
(2) devfsd起動時の定義 ... OK
(3) udevdが起動してdeviceファイルを初期化 ... NG

となってるようなのです(⊃Д`)


289 :login:Penguin:05/02/17 04:13:43 ID:37atpNzP
>>288
/etc/conf.d/rc の RC_DEVICE_TARBALL を no にしてみるとか

290 :login:Penguin:05/02/17 04:26:27 ID:BpFe7eJv
>>279
dbus-1 と hal(hald)を入れたら,解決するかも.

291 :284:05/02/17 04:33:00 ID:A8n3xc0U
>>289
いまコメント読んでみたら、なんかそれっぽいことが書いてありますね。
やってみます。

292 :284:05/02/17 04:52:29 ID:A8n3xc0U
>>289で教えていただいた方法で、無事ブートしました。
289さま始め、深夜にも関わらずおつきあいくださった方々に、
心から感謝いたします。

今回のトラブルをまとめますと。
udevで作られた/devのイメージをtarballで保存しており、boot時にリストアしている。
私の環境では、このtarballが壊れたか何か(fsckにはひっかかりませんでした)で、
おかしな状態になっていた。
/etc/conf.d/rcのRC_DEVICE_TARBALLをnoし、/devイメージを初期から作成しなおす
ことで、問題が解決した。

これでようやく眠れます(もう朝ですが:-)。ありがとうございました。

293 :284:05/02/17 04:53:16 ID:A8n3xc0U
ageてしまった…すみません(´・ω・`)

294 :login:Penguin:05/02/17 06:21:17 ID:UBiqkjWx
>>278

http://bugs.gentoo.org/show_bug.cgi?id=82027
これじゃない?
3.4.3.20050110も多分同じ。

295 :login:Penguin:05/02/17 09:48:28 ID:yHmjlkSN
[ ] /dev file system support (OBSOLETE)

devfsd は捨てたら?

296 :login:Penguin:05/02/17 18:10:03 ID:xqULD703
Gentooのインストールで困っています。

HDDがS-ATA接続、バージョンが2.4.28-gentoo-r5
ブートパーティション:/dev/sda1 ext2 ルートパーティション:/dev/sda3 ext3
カーネルのインストール方法:genkernel -all
カーネルの設定:SCSI support関係を全部有効に
grub.confの内容:
default 0
timeout 30
splashimage=(hd0,0)/grub/splash.xpm.gz
title=Gentoo Linux 2.4.28-gentoo-r5
root (hd0,0)
kernel /kernel-2.4.28-gentoo-r5 root=/dev/ram0 init=/linuxrc ramdisk=8192 real_root=/dev/sda3
initrd /initrd-2.6.9-gentoo-r1

このような環境なのですが、起動すると、
>>Block device /dev/sda3 is unspecified or not detected.
>>The root block device is unspecified or not detected.
Please specify a device to boot, or "shell" for a shell...
boot() ::

と出ます。
/dev/sda3がマウントできてないようです。
S-ATAのせいでうまく行かないのでしょうか。

297 :login:Penguin:05/02/17 18:59:32 ID:37atpNzP
>>296
sda じゃなく hda ではないの?

298 :login:Penguin:05/02/17 21:17:36 ID:dVUHSviD
>>296
全然詳しくないのですが
kernel-2.6.系ではダメですか?
genkerelは使っていませんし、p-ataなhdd付いてるで環境違いますが
s-ataのhddからでもうちでは起動できますよ
kernelはgenntoo-dev-sources-2.6.9-r12で

grubでの指定も
root=/dev/sda3
です

参考にならないとは思いますが

cat /usr/src/linux/.config | grep SATA
# CONFIG_BLK_DEV_IDE_SATA is not set
CONFIG_SCSI_SATA=y
# CONFIG_SCSI_SATA_SVW is not set
# CONFIG_SCSI_SATA_NV is not set
# CONFIG_SCSI_SATA_PROMISE is not set
# CONFIG_SCSI_SATA_SX4 is not set
# CONFIG_SCSI_SATA_SIL is not set
# CONFIG_SCSI_SATA_SIS is not set
CONFIG_SCSI_SATA_VIA=y
# CONFIG_SCSI_SATA_VITESSE is not set

こんな感じです


299 :login:Penguin:05/02/17 22:36:56 ID:E2DOeoTe
>>296
なんとなくだが>>297が正解の気がする

300 :login:Penguin:05/02/17 22:44:45 ID:EVPdOCYr
>>296

私もs-ataで使用していますが、sdaでの指定で大丈夫です。
fstabもさらしていただけるともっとレスがつきやすいのでは?

ところでgrub.confでkernelとinitrdがverが違うのはなぜ?

301 :login:Penguin:05/02/17 23:20:36 ID:YZgFMEcL
gcc 3.3.5で app-i18n/kon2 を emerge 出来てる人いる?

302 :login:Penguin:05/02/17 23:31:47 ID:PvKoLWhW
Problems after upgrade gcc to 3.3.5 (solution)
http://forums.gentoo.org/viewtopic.php?t=278673

これなんてどうよ
tex関係をemergeしてて、コンパイルこけたことがあって
GentooForumやGentooBugs探してもそれらしい解決策なくて
最後の最後に上記のスレッドに出くわして、それ実行したら
あっさりコンパイルできたなんてことがあった

303 :login:Penguin:05/02/17 23:56:46 ID:yTQ0YNGx
>>294
あ、古いsnapshotもってくれば良かったのかな。


304 :301:05/02/18 00:37:00 ID:AwKv4FJz
>>302
早速見てみました。

app-i18n/kon2はlibtoolを使ってない為、当てはまらないみたいです。

今はFreeBSD上から書いてる為、エラー内容が出せませんが
ライブラリのリンクエラーの様です。

ldの結果がUndefined unwind???等だったので、Gentoo機でちと頑張ってみます。

Gentooに移行したいもんで。

低レベルですいません。

305 :296:05/02/18 00:40:27 ID:xU6YwdJN
たくさんの助言ありがとうございます。
S-ATAの場合はsdaの指定でいいようです。オフィシャルにも載ってました。

initrdですが、mkinitrdなど使ってみたのですがうまく作れませんでした。
わからないのでとりあえずLiveCDに入っているinitrdをコピーしてみました。
そのせいでバージョンがずれてます。

現在作業してるPCが手元になくfstabはさらせませんが、標準的なものにしたつもりです。

306 :login:Penguin:05/02/18 00:42:41 ID:bb4jyydw
> initrdですが、mkinitrdなど使ってみたのですがうまく作れませんでした。
> わからないのでとりあえずLiveCDに入っているinitrdをコピーしてみました。
> そのせいでバージョンがずれてます。
そりゃだめだろ

307 :login:Penguin:05/02/18 01:09:21 ID:mhM66fkK
>>301
できている。ただカーネルでフレームバッファ有効にしているから
kon2は使えないのでjfbterm使っているけど。jfbtermだとbootsplash
の魅力半減なんだよねー まあいいけど。最近はjfbtermもだいぶ速く
なっているからそこまで気にならない。(むしろkonだと表示文字数が
あまり増やせないのが……)

308 :login:Penguin:05/02/18 01:30:00 ID:qy4OfHhb
S-ATAはSCSIのように見える(sdx)のと、P-ATA(hdx)と両方あるよ。
dmesgとかで確認してみたら。

309 :login:Penguin:05/02/18 01:42:27 ID:nH3eqX9B
たしかsataでhdxでやりたいならhdgからスタートだった希ガス

310 :login:Penguin:05/02/18 01:45:51 ID:bb3ukdya
hde からだよ。2つめは hdg。

311 :login:Penguin:05/02/18 01:46:43 ID:bb4jyydw
PATA殺してれば hda じゃないのか

312 :login:Penguin:05/02/18 08:52:48 ID:bhcvqhQ1
initrdのバージョンが違うからSCSIのモジュールが読めてないってとこかな?
よほどの理由がなければ、SCSI周りをモジュール(M)じゃなくて組み込み(*)に
するだけで解決しそうだけど。

sataのデバイスがhd?かsd?かってのは、使うチップが
IDEの項目の中にあるのかSCSIの項目の中にあるのかで変わるもんじゃないの?

313 :login:Penguin:05/02/18 09:01:36 ID:GQAUkLKc
STAT は、IDEのドライバとSCSIのドライバと2種類ある。
普通の ide-disk で動かせば、hd?
SCSI で動かせば、sd?。
以前の、IDE CD-Rみたく、そのうちIDEの方が主流になりそうな気がする。

ずいぶん前に、SCSIの方はフルサポートしてるけど、不安定みたいなこと聞いたけど、
今どうなってるのかな?

314 :300:05/02/18 09:25:56 ID:BW2jmudb
>>305

genkernelを使用するとinitrdも自動的に作ってくれるはずなのですが・・・
もう一度、genkernel all --menuconfigでkernelを再構築してみてはどうでしょう。

それでだめならfstabとgrub.confのsdaxをhdexに書き換えてみてください。
308-310で指摘のあるように、s-ataはscsi認識とide認識の両方があるようです。

動くといいですね。

315 :login:Penguin:05/02/18 10:19:03 ID:bW0sI4uo
genkernelでudev-030も使えないamd64ガックシ
x86で入れ直そうかな

316 :2月程前に、udevにした人:05/02/18 11:22:00 ID:mAFGf3k5
>>296
udev を、有効にするには、
genkernel --udev all
しないとダメ。とかかな。

317 :login:Penguin:05/02/18 11:51:08 ID:nH3eqX9B
なんか面白そうなの入ったね。
app-vim/gentoo-syntax
make.confとか色つくのかな?

318 :login:Penguin:05/02/18 11:58:27 ID:1N7PkLy1
>>296
>>316にくわえて、カーネルパラメータにudevが必要。

kernel /kernel-2.6.10-gentoo-r6 udev root=/dev/ram0 。。。


319 :login:Penguin:05/02/18 11:59:49 ID:7Qc3+p0p
>317
おお、make.confが微妙に色づいてる!詳しくは :help gentoo-syntaxで。

320 :login:Penguin:05/02/18 12:06:18 ID:nH3eqX9B
設定ファイルにもど派手に色付けてくれると楽しくていいね^^

321 :login:Penguin:05/02/18 13:57:41 ID:6W/zE9i1
配色によっては見づらく…背景黒ならいいのかな?

322 :296:05/02/18 14:00:39 ID:JKS+RsQb
たくさんの書き込みありがとうございます。
書き込みを参考にさせて頂き、試行錯誤してみます。


323 :login:Penguin:05/02/18 14:02:35 ID:nH3eqX9B
>>321
俺は黒。今のところ問題無いから背景黒なのを基準にデフォルト配色決めてるのかもね。

324 :login:Penguin:05/02/18 18:51:10 ID:iSOH8UI5
apache2 で SVN の設定して
どう頑張っても動かない。

/etc/conf.d/apache2 で -DSVN してないからと分かった時泣いた。

325 :login:Penguin:05/02/18 21:31:41 ID:GIYxqByL
>>294
それっぽいね やってみるわ

326 :login:Penguin:05/02/19 01:49:47 ID:w46p0eR/
>>324
modules.dみればわかるじゃない。

327 :login:Penguin:05/02/19 16:30:35 ID:pY9o1Rqy
やっとこemerge sysemもリブートも済んだ新規マシンに
sun-jdkいれようとしたら
セキュリティホールがあるのでマスクされてるとのこと。
~x86でもダメ。なので別なの入れたいんですが
ibm-jdk-binかblackdown-jdk
sun-j2sdkとだいぶ違ったりしますか?
当方Java学習中の身。パフォーマンスとか気にしないけど
コマンドとか違うのはちょっと遠慮したいんですが。

328 :login:Penguin:05/02/19 17:04:44 ID:9Q4ll+hv
Software DesignのGentoo Mac OS Xの記事読んだー。

Gentoo Mac OS Xで使えるソフトウェアのリストが見たいんだけど、どっかにある?

329 :login:Penguin:05/02/19 17:28:24 ID:u6uGAoIi
>>327
> セキュリティホールがあるのでマスクされてるとのこと。
いや、セキュリティホールの方は直ってる。
http://bugs.sun.com/bugdatabase/view_bug.do;:WuuT?bug_id=5097939

問題は1.5をデフォルトにすると、1.4や1.3にダウングレードできないということらしい。
#1.4や1.3へのダウングレードが出来ないというのがどういうことかわからんが、
#とにかくそういう主張でmaskされてる。
#ただ、gentooのbugzillaでも、もう1.5デフォルトでいいじゃんというコメントが多い。

だから、最新版マンセーなら1.5をunmaskして入れればいいかと。
#unmaskの仕方は大丈夫だよね。

330 :login:Penguin:05/02/19 17:40:15 ID:pY9o1Rqy
おげっす。とりあえず安定版マンセーな人なので1.4.2を入れました。
いろんな理由があるもんですねー

331 :login:Penguin:05/02/19 18:10:05 ID:C5kteZ7p
xorgでsavageドライバうまく動かせた人いますか?
Googleで調べると、どうも、savageドライバにはなんらかの問題があるらしいのだが、
問題があるという情報だけで、解決法が見付からない。。。
海外の掲示板もいろいろまわったのだが。。。

startxすると600x480の画面で、上3分の1程がぐちゃぐちゃになってる。
なんなんだろう、これ。liveCDでインストールしてたときは1024x768で問題無く動いてたのに。
同じような問題を解決した方、いらっしゃいましたら、アドバイスお願いいたします。

当方、BoardName:VT8375 [ProSavage8 KM266/KL266]のビデオカードを使っています

332 :login:Penguin:05/02/19 18:10:46 ID:C5kteZ7p
すいませんageてしまいました

333 :login:Penguin:05/02/19 19:13:21 ID:2L/waPZB
SUNのJAVAは手動ダウンロードなんだよな。

334 :login:Penguin:05/02/19 19:19:32 ID:w46p0eR/
>>331
動いてますよ。ノートPCでlspciによるとTwister(ProSavage K4M266)だそうです。
DRMが使えないのが残念。

335 :login:Penguin:05/02/20 05:12:06 ID:4A11+gpG
>>328
ttp://gentoo-wiki.com/Gentoo_for_Mac_OS_X_Successful_Compiles



336 :login:Penguin:05/02/20 11:10:50 ID:oE1ym6ke
自分のようにX.orgを使っていて、savage系のビデオカードでDRIが有効にならない方へ
http://www.linuxquestions.org/questions/showthread.php?s=&threadid=275749

337 :login:Penguin:05/02/20 12:53:10 ID:+GIhVGj6
x自体は動くが、331と同じように画面の上半分がグチャグチャになり、
マウスポインタがその部分に入れない謎の状態に陥ってしまったので、
ノートPCへのインストールは前に諦めた。

グチャグチャって半分画面が下にずれてるってかんじだな。
xorgのcvs版インストールしたらうまくいくかな・・・
ひさしぶりにやってみるか

338 :login:Penguin:05/02/20 13:08:23 ID:+GIhVGj6
おかしい、emerge -u updateしたら日本語が表示されなくなってしまった・・・

334氏、よかったらxorg.confを見せて頂けませんか?

339 :login:Penguin:05/02/20 21:07:28 ID:T/7VlX15
udevさえ入ってれば、/dev/以下のスペシャルファイルって
/dev/nullと/dev/console以外全部消しちゃっても大丈夫なの?

1.最所genkernelで作った
2.その後手動でカーネル再コンパイル [*] /dev file system support
3.また再コンパイル [ ] /dev file system support

今こんな状態なんで、/dev/以下に要らないスペシャルファイル沢山ありそうな感じなわけです

340 :login:Penguin:05/02/20 21:26:40 ID:MrzO6h6N
http://www.gentoo.org/doc/ja/udev-guide.xml

> デバイスファイルノードの保存機能を停止します。 /etc/conf.d/rcの中のRC_DEVICE_TARBALL変数を編集し、それにnoを設定してください。
>
> Code Listing 2.6: /etc/conf.d/rc
>
> RC_DEVICE_TARBALL="no"


341 :login:Penguin:05/02/21 00:08:08 ID:yYcMftWl
>>340
それはもうやったんですけど、必要無さそうなもの結構あります…、
っていうかコレ全部必要なのかな?

342 :login:Penguin:05/02/21 01:32:25 ID:3SfNwIW7
昔Savage系の載ったノートでいろいろやっていたが
http://www.linux-sxs.org/guis/DRIS3.html
ここを見てDRIを有効にできた。
もっとも今はx11-drmにsavageがあるからそっちでいいのかもしれない。
ノートは焼死してしまったから試せないんだよね。

343 :login:Penguin:05/02/21 14:18:37 ID:D5unrswF
現行安定版で普通にstableものをemergeすると、
不意に無差別にコンパイラがセグフォで氏ぬんですが、
同じような状況にいる人はいまつか? ppcとx86ともにこの状態。
止まるところは毎回全く違うし、メモリが逝ったのかと思って
memtesterしてたんだけど、異常無し。。。

344 :login:Penguin:05/02/21 15:34:08 ID:ZCbYkR2s
なにをemergeしてる時に止まったかくらいは書かないと
エスパー募集扱いされるよ。
それと、コンパイルエラー八割がたCFLAGSの凝り過ぎが原因。
やたらいろいろつけてたら減らしてみるべし

345 :login:Penguin:05/02/21 15:35:46 ID:ZjGuXSbB
>>343
パッケージものに限らずtarballからコンパイルでもよく落ちるので
gccの問題と思われ。最適化フラグ変えると落ちなくなるかもしれない。

/* 以下雑談。
Solaris2.8 sparcでruby1.8.2をコンパイルしたらnkf.cでgccが落ちた。
-Os を -O2 にしたら通った。ディスクサイズきついけど我慢。
*/

346 :login:Penguin:05/02/21 15:47:06 ID:ZCbYkR2s
あとエラーメッセージもつけてな

347 :エスパー:05/02/21 16:11:17 ID:FS8B3iS0
CFLAGSに reduce-all-givs と move-all-movablesが付いていると 腐ったbinutilsができます
つまり、その後にemergeしたバイナリは全て死亡。

348 :3:05/02/21 17:31:18 ID:HotUOdRi
>>347
どっちか片方でもやばい?

>>338
いいですよ。どこにおけばいいかな。

349 :login:Penguin:05/02/21 19:29:21 ID:K5fr5DdA
皆さんUSEフラグの情報って何処で得ていますか?
大体の方が/usr/portage/profiles/use.descか
ttp://www.gentoo.org/dyn/use-index.xmlあたりを参照していると思うんですが
xorg-X11を例にして言えば、bitmap-fonts truetype-fonts type1-fonts
といったフラグがどちらの表からも抜けてしまっています
ということで、USEフラグをより包括的に扱っているサイトとかあったら教えていただけませんか?

350 :login:Penguin:05/02/21 19:35:04 ID:B3o+EXVB
-vじゃだめなの?

351 :login:Penguin:05/02/21 19:56:31 ID:ZCbYkR2s
新規インスコもしくはメジャーVerUpの時は必ずebuild眺めるようにしてる

はずだったがXorgのそれ知らんかったわ orz

352 :login:Penguin:05/02/21 20:02:01 ID:jKweKTzW
amd64のglibcを何とかしてくれエロい人

353 :login:Penguin:05/02/21 20:08:52 ID:n2UKNPu1
USEフラグはemergeの-vオプションで見て、気になったのがあったら
ebuildを参照してる。

354 :login:Penguin:05/02/21 20:37:56 ID:HotUOdRi
--newuse じゃだめなの?

私は、-uDva worldで確認してからやってるけど。

それから、bitmap-fonts等は
use.local.descにちゃんとあります。

355 :login:Penguin:05/02/21 22:23:12 ID:K5fr5DdA
use.local.descは初聞でした
ちゃんと調べなきゃいかんですね
定期的にdiffとったりしようと思います

つか1.4の頃はttp://www.gentoo.org/dyn/use-index.xmlにbitmap-fontsがあったと想ったんですが、いつの間になくなったんだろう

恥かきついでに今のUSEフラグ晒しておきます
USE="-* X aac acpi alsa audiofile avi bmp bonobo bzlib cjk crypt dga directfb \
divx4linux dvd encode esd ethereal ffmpeg flac flash ftp gb gif gnome \
gstreamer gtk gtk2 hal imagemagick imlib java jpeg icms m17n-lib matroska \
migemo mime mmx mp3 mpeg ncurses nls ogg oggvorbis opengl pam pdflib perl \
png profile python quicktime readline samba sdl sockets sse svga tcpd theora \
truetype unicode usb videos wmf xfce xine xosd xv xvid zlib x86 -kde -qt"


356 :login:Penguin:05/02/21 23:09:05 ID:3SfNwIW7
だからapp-portage/ufedを使えとあれほど。
簡単な説明もdescから引っ張ってきてくれるから、
新しいUSEや不要そうなの(truetype-fontsとかね)があったらチェックしてる。

357 :login:Penguin:05/02/21 23:53:31 ID:RxqHyi65
>>349,355
参考までに、
つ $ euse -i hoge
既出?


358 :login:Penguin:05/02/22 00:52:38 ID:mJN9mO3K
>>356
>>355はufed使ってるっしょ。

359 :login:Penguin:05/02/22 17:15:01 ID:rJcJp2aE
linux26-headers-2.6.8.1-r2.ebuild に

# What's in this kernel ? ninja juice ! :D

と書いてるんですがこれはどういうことですか?

360 :login:Penguin:05/02/22 17:30:21 ID:+oEMXrKY
>>352
詳しく

361 :login:Penguin:05/02/22 18:31:35 ID:+vknMbE8
忍者汁とは何か?

362 :login:Penguin:05/02/23 11:09:41 ID:mdXPHL3q
Gentoo on amd64でWeb系のサーバ構築してる人いる?

363 :login:Penguin:05/02/23 11:51:50 ID:MtNvlc5P
Gentooで古いFORTRANのライブラリ,ツールを動かそうと思うのですが、
中で f77 を呼ぼうとするモノが結構あって、

# ln -s /usr/bin/g77 /usr/local/bin/f77

としたいのですが、こうして f77 を実行すると、

gcc-config error: Could not run/locate "f77"

といわれて実行できません。Gentoo的にはどのような作法になっている
んでしょうか?


364 :login:Penguin:05/02/23 12:36:19 ID:1RVEDodK
sshリモートのchroot環境下でnanoを使うにはどんな環境設定とファイルが必要なのでしょうか。
ldd nano で必要な各種ライブラリはchroot下にコピー中です。
現在nanoを起動すると
Error opening terminal: xterm.
となります。

365 :login:Penguin:05/02/23 12:56:03 ID:UdqgY8+c
よーわからんけど TERM=vt100 nano とか?
ちゃんとインストールされていればそういうことにはならないはずだけど。。

366 :login:Penguin:05/02/23 14:01:41 ID:KLf30jJt
termcap/terminfoファイルが存在しないか、あるいは
その中にxtermの項がないかってことだろうか

367 :login:Penguin:05/02/23 16:42:02 ID:Np5bF+du
>>348
どうしよう、こちらの捨てアドに送ってもらえますか?

368 :login:Penguin:05/02/23 17:01:32 ID:4PNpTMLU
nvuのebuildのメンテナってやる気ないんかな

369 :login:Penguin:05/02/23 20:14:34 ID:UdqgY8+c
>>368
やる気ないというかいま休み中じゃなかったっけ?
ちょっといろいろあったようで、一時期開発者辞めるとか言っていたし。

370 :login:Penguin:05/02/23 20:42:47 ID:C5RW3jDJ
Gentoo AMD64 で,emerge system のGCCビルドのstage1の後で
32bitコンパイルした a.out が走らないとか言われて進みません・・・・゚・(ノД`)
FAQですか?

371 :login:Penguin:05/02/23 20:50:52 ID:Wn+8lmG3
> とか言われて

ちゃんと正確なメッセージを記しましょう。

> FAQですか?

です。

372 :364:05/02/23 20:51:49 ID:1RVEDodK
>>365,366
レスありがとうございます。
/etc/terminfo/x/*

chroot/etc/terminfo/x/
にコピーすれば起動できました。
今までfind / -name "xterm." でファイルを探していた_| ̄|○
365さんのヒントに救われだよ〜。

373 :login:Penguin:05/02/23 20:52:33 ID:1RVEDodK
しまった366だった(汗

374 :login:Penguin:05/02/23 21:24:03 ID:4PNpTMLU
>>369
情報サンクス

代りもいないのかねぇ…結構な期間ほったらかしみたいだけど…
しょうがないので自力ビルド

375 :login:Penguin:05/02/24 04:30:52 ID:WRMwFkF+
ノートPCでグラフィックチップがMach64なんだが、
x11-base/xorg-x11:insecure-drivers - Builds insecure DRI stuff for via, mach64 and savage
を有効にしたら幸せになれるかな?


376 :login:Penguin:05/02/24 12:00:01 ID:onYdSybU
>>374
彼日本語も分かるし得がたい人材なんだけど、
ebuildに関してはどうもときどき変なのコミットしてしまうので。。
nvuもなんでいまさらnet-wwwなんだ?という感じ。(このカテゴリへの新規パッケージの追加はかなり前に止められている)

377 :login:Penguin:05/02/24 16:32:33 ID:F4lUTf/5
gentoo.gr.jp氏んでるけど、メンテ中とか?

378 :login:Penguin:05/02/24 17:23:15 ID:4pU//YQc
いつの間にか Ctrl+Alt+Fx が効かなくなった。
多分、xorg に update してからかなー。
どの辺りを見ればいいんでしょうか。

379 :login:Penguin:05/02/24 18:09:33 ID:WRMwFkF+
>>378
Ctrl,Alt,Fxの各キーは正しく認識されているのでしょうか?
自分も効かなくなった事がありまして(キーの認識が変になっていた)、さらにVideo関係で固まるようになり、環境を変更前に戻して全システム再コンパイルしたことがあります。
-O3とか使ったのが悪かったのかもしれません・・・headerも2.6系に替えたり色々一気にいじったので何が原因だったか判らずじまいでした。

380 :login:Penguin:05/02/24 18:46:13 ID:NYDk3z+J
>>379
それぞれのキー(Ctrl, Alt, F1, F3) は各々効いています。
再コンパイルしたら Ctrl+Alt+Fx は効くようになったのですか。
ん〜。 何が原因なんだろ。

381 :login:Penguin:05/02/24 19:08:37 ID:ME5fFr9c
-O3は地雷。というか-finline-functionsが地雷。

382 :login:Penguin:05/02/24 21:32:23 ID:GOAhzNRg
canna-cannadic-0.95cからcannacheckでgcannaがマウントできないと
でるんですが、再現性はありますか?cannaは3.7_p2です


383 :login:Penguin:05/02/24 21:38:40 ID:FvW9cw0J
O3は無罪だ。
本当に有害なのは~*



384 :login:Penguin:05/02/24 21:44:44 ID:NnKMdKCt
>>382
これかな?
http://pc5.2ch.net/test/read.cgi/linux/1066563302/349-

385 :login:Penguin:05/02/24 22:34:48 ID:GOAhzNRg
それは漏れには関係なかった
app-dic/canna-*はcannaのコンパイル後、入れ直した
.cannaは/usr/share/canna/default.canna をコピーしてirohaをgcannaに
変えてるだけでもgcannaをマウントできないといわれる
/var/lib/canna/dic/canna/dics.dirにgcannaはある
canna-cannadicを0.95bに戻してcannaをリスタートするとgcannaをマウントできる
ちなみにzipcodeもマウントできない

386 :login:Penguin:05/02/24 23:19:37 ID:YzYIdytF
>>370 /etc/make.confに
MULTILIB_ABIS="amd64 x86"
DEFAULT_ABI="amd64"
LIBDIR_amd64="lib64"
LIBDIR_x86="lib32"


387 :事故レス:05/02/25 03:34:52 ID:6hgat/1d
>>378
xorg.conf

Section "InputDevice"
Option "XkbDisable"

388 :login:Penguin:05/02/25 10:42:33 ID:uKyvVlwL
AMD64で qt がemergeできないです。
エラーメッセージは以下の通り。

OpenGL auto-detection... (-I/usr/include/postgresql/server -I/usr/include/postgresql/pgsql -I/usr/include/postgresql/pgsql/server)
Could not find GLU lib anywhere in /usr/X11R6/lib /usr/X11R6/lib /usr/shlib /usr/lib /lib
OpenGL disabled.
Xcursor auto-detection... (-I/usr/include/postgresql/server -I/usr/include/postgresql/pgsql -I/usr/include/postgresql/pgsql/server)
Could not find Xcursor lib anywhere in /usr/X11R6/lib /usr/shlib /usr/lib /lib
Xcursor disabled.
XRandR auto-detection... (-I/usr/include/postgresql/server -I/usr/include/postgresql/pgsql -I/usr/include/postgresql/pgsql/server)
Could not find XRandR lib anywhere in /usr/X11R6/lib /usr/shlib /usr/lib /lib
XRandR disabled.
XRender auto-detection... (-I/usr/include/postgresql/server -I/usr/include/postgresql/pgsql -I/usr/include/postgresql/pgsql/server)
Could not find XRender lib anywhere in /usr/X11R6/lib /usr/shlib /usr/lib /lib
XRender disabled.
XRender support cannot be enabled due to functionality tests!
Turn on verbose messaging (-v) to ./configure to see the final report.
If you believe this message is in error you may use the continue
switch (-continue) to ./configure to continue.

!!! ERROR: x11-libs/qt-3.3.4-r2 failed.
!!! Function src_compile, Line 135, Exitcode 101
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

解決法ご存じの方いらっしゃいましたらご教示ください。
よろしくお願いします。

389 :login:Penguin:05/02/25 12:47:43 ID:qhXUtaO9
>>382
再現性ありません。自分のところでは問題なくマウントできて使えています。
なんでしょうね。

390 :382:05/02/25 15:44:36 ID:wvSY0TgD
頻度辞書を作成しているとダメみたいです。
mkdic -fq gcannaとかmkdic -fq zipcodeすると
使えるようになりました。お騒がせしました


391 :名無しさん@Vim%Chalice:05/02/25 20:45:19 ID:ugKNZwnz
>>338
x11-base/xorg-x11

で/usr/lib/libGLU.so.1.3
ができてるべきなんだが、ある?なんかそれがないって怒られてるように見える。

amd64でもないし、qt使ってないからあれど、
x11をもう一回emergeしたらどうなる?

392 :login:Penguin:05/02/25 22:08:20 ID:AjCuMzHT
>>388
うちもまえに、それなりました。
まずopengl-updateしてみてください。オプションは環境に合わせて。
それで駄目なら、xorg-x11を入れ直しかな。

393 :login:Penguin:05/02/25 22:11:14 ID:AjCuMzHT
>>347
見事にはまりました。他のマシンでパッケージ作って、それで復旧。
-r4は平気だった。

-O3 と -fmove-all-movables その他設定。

394 :login:Penguin:05/02/25 22:34:43 ID:Q8EpdwI8
Wnn8 Gentooで動いたので一応報告しとく。
1)emerge rpmしてrpm -ivh --nodepsで入れるが、
/sbin/chkconfigがないとしかられるのでtouchとかしとく。
2)/etc/rc.d/init.d/以下の起動スクリプトをGentoo方式に書き換えて
/etc/init.d/以下にリンクを張る。
書き方は
ttp://www.mistral.jp/gentoo-tips/wnn7/wnn7.html
こちらさんのとほとんど変わらない。
変更済んだら起動。rc-updateまでやって確認。
3)一般ユーザーの設定
~/.xinitrc読ませてstartxする人なのでこんなかんじ


395 :login:Penguin:05/02/25 22:39:19 ID:Q8EpdwI8
.xinitrcのexec {startkde|gnome-session|etc}の前に
--
export EMACS_IME=wnn8
export XIM_PROG=wnn8
export JSERVER=localhost
export WNN8_FRONT_END=le
export WNN7_FRONT_END=le
export WNN6_FRONT_END=le
export WNN8_SERVER=localhost
export WNN7_SERVER=localhost
export WNN6_SERVER=localhost
export CANNA_SERVER=unix
export GTK_IM_MODULE=iiim
export XMODIFIERS=@im=htt;
export HTT_DISABLE_STATUS_WINDOW=t;
/usr/lib/im/httx -if Wnn8LE -lc_basiclocale ja_JP -xim htt_xbe &
--
適当なので無駄はありそうだが、一応。
ちなみにWnn7より格段に速い!

396 :338@ようやく帰宅:05/02/25 23:12:03 ID:yxHvPNBf
>>392
xorg-x11入れ直したり,emerge -e systemやったりしてだめだったので
OpenGL関係などライブラリがないと怒られているファイルの場所を調べました。
AMD64だと,x86で通常 /usr/X11R6/lib にあるファイルが /usr/lib64 に
入れられてしまうようで。
ググッてもヒットしないので,/usr/lib64 の中身を /usr/lib にコピーして
/usr/lib -> /usr/lib64 にリンクを張ってやったらビルドできました。

仕事中で>>392さんのレス見れなかったのでこんなことやっちゃいましたけど
良かったのかどうか・・・

397 :login:Penguin:05/02/25 23:13:20 ID:yxHvPNBf
388だった・・・orz

398 :login:Penguin:05/02/25 23:17:16 ID:ydPh1c7V
1000

399 :login:Penguin:05/02/25 23:21:37 ID:iztMQICI
>>398
気が早すぎ

400 :login:Penguin:05/02/26 00:41:10 ID:GUl0vj2Z
You should update your `aclocal.m4' by running aclocal.
/usr/lib/portage/bin/ebuild.sh: line 59: aclocal: command not found

!!! ERROR: x11-libs/openmotif-2.2.3-r1 failed.
!!! Function src_unpack, Line 59, Exitcode 127
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

何かこんなエラーがでてここんとこemergeが通らなかったんだけども、
検索でかけまくってみたら、
http://clunkjay.net/blog/index.php?p=85
こんなんがあった。
で、これにしたがって、automake-wrapperってパッケージを突っ込んでやれば、
ここの部分を通過して現在openmotifの最新版インスコ中。

どれかのパッケージの依存にしておいた方がいいような気がするが、
どこに突っ込んだらいい物かわからんのでここに書いておく。


401 :login:Penguin:05/02/26 01:09:21 ID:MB6TqggH
baseプロファイルに入っているからemerge -u worldなり
emerge -u systemなりすると入るはずだけど。。
ちなみにstacked profile(default-linux/x86/2004.3とか)
使ってないとだめよ。古いprofile使っている人は対象外。

402 :login:Penguin:05/02/26 01:19:31 ID:bbtRE3Tj
あれちゃんとemergeすると変えろって出るじゃん?よっぽどの盲目じゃなければ普通変えてると思うけど・・・

403 :login:Penguin:05/02/26 01:33:27 ID:GUl0vj2Z
>>401
emerge -u worldはいつものようにしてたはずです。
stacked profile、、、、、、、、、
ググル先生に聞いてみました。こんな物あったのか、、、、。
http://dev.gentoo.gr.jp/~nakano/chkdoc/data/20041219072547.xml

>>402
いつもemergeしたら、ほかの用事し始めてるから見逃したのかも。
時間かかるから最後のエラーしかどうにも見ないもんで。

404 :login:Penguin:05/02/26 01:40:01 ID:GUl0vj2Z
クレクレ君になってすまないけど、
/usr/portage/profiles/default-linux/x86/
以下を見たら、2005.0があったんですけど、これが最新でいいんですよね。

#なんかみてみたら、
#lrwxrwxrwx 1 root root 42 9月 5 17:34 make.profile.bak -> ../usr/portage/profiles/default-x86-2004.0
#こんなもんあったんだけど、何かで変更したのかな?えらい前の事だから覚えてない、、、。


405 :login:Penguin:05/02/26 01:53:58 ID:bbtRE3Tj
>>403
emergeの後に出るコメントは結構、重要情報が出てたりするからちゃんと見るべし!
っていうかあれemerge.logにも入れて欲しいよねw

406 :login:Penguin:05/02/26 09:07:44 ID:V6YOhWpS
>>396 (388)

# echo /usr/lib64 >> /etc/ld.so.conf
# ldconfig

でだめなんだっけ?
ld.so.confって手でいじっちゃいけないところ?

407 :388:05/02/26 09:39:49 ID:XQcBSPv3
>>406
それもやってみました。emerge失敗した直後に /var/tmp/portage 以下の
ビルドするディレクトリで直接./configureは通るんですが,emerge使うと駄目で。
GTK+も同様なエラーで駄目でした。

408 :login:Penguin:05/02/26 11:05:46 ID:AM+fpss/
consolecharsがどのパッケージに入ってるかを調べたいんだけどどういう風にしたらいいのかわかりません
インストール済みならqpkg -fでいいんだろうけど…
未インストールの場合どうやって調べたらいいですか?

409 :login:Penguin:05/02/26 12:13:50 ID:MB6TqggH
>>404
一時期「まだ壊れている可能性があるから使うな」と書いてあったけど、
いま外れているのをみるとだいじょうぶなのかな?2005.0のリリース
延びているしね。2004.3のほうが安全だろうけど。。

410 :login:Penguin:05/02/26 13:09:33 ID:B0Po9I+G
漏れは、amd64の2005.0だけど、
lib64がlibのリンクになってる。
opengl-updateで直ったよ。

411 :388@会社(ノД`):05/02/26 15:12:12 ID:XU+LIbYK
>>410
opengl-update が必要ということは,一気に emerge kde しちゃ駄目ということなんですね。
アドバイスくださった方々,どうもありがとうございました。

412 :login:Penguin:05/02/26 18:41:34 ID:95lZiTrv
-DASSEMBLER -x assembler-with-cpp - \
> /var/tmp/portage/glibc-2.3.4.20041102/work/build-x86-i686-pc-linux-gnu-nptl/Versions.v.iT
In file included from nptl/sysdeps/i386/i686/tls.h:34,
from include/tls.h:6,
from <stdin>:1:
nptl/sysdeps/i386/i686/../tls.h:58:3: #error "TLS support is required."
make[1]: *** [/var/tmp/portage/glibc-2.3.4.20041102/work/build-x86-i686-pc-linux-gnu-nptl/Versions.v.i] Error 1
make[1]: Leaving directory `/var/tmp/portage/glibc-2.3.4.20041102/work/glibc-2.3.3'
make: *** [all] Error 2

!!! ERROR: sys-libs/glibc-2.3.4.20041102 failed.
!!! Function src_compile, Line 743, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

amd64 2004.3です。
USEフラグはnptl nptlonly userlocales です。御教授下され。

413 :login:Penguin:05/02/26 19:42:31 ID:CZ8vCcbQ
>>412
CFLAGSは?
nptl云々だから、TLSってthread local storage(?)で良いのかな。

414 :412:05/02/26 20:45:41 ID:95lZiTrv
CFLAGSは、-march=athlon64 -02 です

415 :login:Penguin:05/02/27 03:06:23 ID:nMgfEefW
とある事情で x11-lib/gtk+ の 2.x をバイナリでインストールしたいんです
が、
# emerge -K x11-lib/gtk+
では、1.x がインストールされてしまいます。
明示的に 2.x をインストールできる方法はないでしょうか?



416 :408:05/02/27 03:28:16 ID:++hTiwBU
console-toolsに入ってるのはわかったけどportageにはもう無いんだね
Gentooのanonymouscvsってあったっけ?取ってこれないかな…

417 :login:Penguin:05/02/27 05:22:45 ID:PRpDyURo
>>415
emerge -B =x11-libs/gtk+-2.4.14
で好みのバージョンのパッケージを作って
emerge -gK =x11-libs/gtk+-2.4.14
すれば?

418 :login:Penguin:05/02/27 06:11:56 ID:nMgfEefW
>>417
なるほど。しかし、こちらの説明不足でした。とある事情には「ローカルでの
emerge に失敗する」のでバイナリをどこかからヒッパリたい、というのがあ
りました。
その線で引き続き情報をお待ちします。



419 :login:Penguin:05/02/27 06:30:59 ID:IJ/SDZUN
>>418
自分が持っているパッケージのバージョンを
=で指定すれば良いんじゃないの?

420 :login:Penguin:05/02/27 11:09:57 ID:30csdyLf
>>408,416
qpkgは非推奨なのでequeryを使いましょう。
機能的にはようやく追いついたと思われる。qpkg+etcat+α=equeryかな。
そのぶん遅いけど。。
システムにインストールされていないファイルを調べるのは、現在の
Gentooでは不可能です。サーバを立てるとかいろいろ話はありますが、
まだ誰も用意していないという状況。
古いebuildって使ってなにが起こるか分かりませんが、Gentooでは
anoncvsはいまは公開していないので、ViewCVSから取得してください。
ttp://www.gentoo.org/cgi-bin/viewcvs.cgi


421 :login:Penguin:05/02/27 11:14:42 ID:30csdyLf
>>418
2004.3か2005.0(experimental)のCDをマウントして取り出せばバイナリ
入手できると思いますが、2系列だけほしければ

emerge -K '=x11-libs/gtk+-2*'

みたいにすればいいんじゃないかと。普通なにもバージョン指定しないと
2系列をemergeに行くはずなので、1系列を入れようとするということは、
バイナリパッケージがそもそも存在していないような感じですが。。
その場合は上に書いてあるようにCDイメージからでもこぴってください。

422 :login:Penguin:05/02/27 12:50:15 ID:FgMYEwaN
qtを3.3.4-r2にあげたら
scim-qtimmの以下の箇所のため3.3.3にもどそうとします。
DEPEND=">=app-i18n/scim-0.99.9
|| ( =x11-libs/qt-3.3.3 =x11-libs/qt-3.3.2 )
nls? ( sys-devel/gettext )"

勝手に=x11-libs/qt-3.3.4を加えてもいいのかな?

423 :login:Penguin:05/02/27 15:20:46 ID:tRxJK+q2
>勝手に=x11-libs/qt-3.3.4を加えてもいいのかな?
誰も文句は云わんよ。
おまえの環境に責任を持つのはおまえ自身なのだから。

424 :login:Penguin:05/02/27 16:23:19 ID:XSQ/6ly4
京都議定書

日本に課せられた温室効果ガス排出量の削減目標は6%。
しかし、実現は相当厳しい。
何故ならば、この6%削減というのは、1990年の値が基準なのだが、
実際には1990年から2003年の間に8%も増加してしまっているから。
つまり、ノルマ達成には現状から14%もの削減が必要になるわけ。

京都議定書の議長国である日本がもしこの目標を達成できなければ・・・
世界中の笑い者、面目丸潰れ。

そうなることを望んでいる反日売国奴なのかな?Gentoo厨って。
ハッカー気取りで大した理由もなく馬鹿みたいにビルド繰り返す前に
ちょっとは地球の事、日本の事を考えてほしいよまったく。

425 :login:Penguin:05/02/27 16:32:44 ID:9TAQWoEU
>>424
gentooうまくインストール出来なかった?

426 :login:Penguin:05/02/27 17:08:35 ID:SiY87IDD
>>424はiMacの角に頭ぶつけて市ね

427 :login:Penguin:05/02/27 17:34:43 ID:tRxJK+q2
*BSDとかDarwinなんかも似たようなもんだよね。たぶん。

それにPCの消費電力と二酸化炭素排出量は直接関係ない。
ちゃんと電気料金を支払ってるのだから、各電力会社が
まだ本気で対策する気が無いんじゃないの。

428 :login:Penguin:05/02/27 18:36:58 ID:yvOjnE1J
>>424
お前は反日売国奴って言葉を使いたいだけではないかとといつめたい。

一応foldingも動かしてるから意味もなく電気を使うと言う意味での
エネルギーの無駄は減らすようにはしているが、
自前オプション&パッチとかパッケージの追加も簡単で、
それでいてソフトをパッケージ管理のもとであつかえるってことは、
慣れたらてばなせないんだが。

バイナリパッケージ物って変更むちゃくちゃ大変だぞ。
例え元がソースパッケージ用意していてもな。
checkinstallもディストリの様式にあった物じゃないから、
公式が同じパッケージを出したりしたらややこしくなるし。

何かソフトのバグを自分で取ったり、パッケージを自分で作った事ないのかね?

429 :login:Penguin:05/02/27 18:45:54 ID:OiburHPN
ミエミエの釣りだろ。ほっとけ。
それともわざわざ釣られて遊びたいのか?

430 :login:Penguin:05/02/27 18:47:42 ID:zxdlgtSD
スレの保守みたいなもんだよ

431 :login:Penguin:05/02/27 18:49:37 ID:yvOjnE1J
多少すれ違いになるが、本気で対策しようと思えば、
電気代をあげる&個個人が消費量へらさないとならないわけで、
で、日本はそういうのもろに遅れているのは確か。
官公庁が使用している電気分なんて微々たる物だし。

電気代20ー30年分先払いになるが、
自前で屋根に太陽光発電機でもつければCO2排出料は格段に
減るが、先に高額払わなきゃならんってそういう話。

だからって、ほかのディストリに戻る気は更々ないけどな。
たとえば、現時点でpostgresql8.0もディストリのパッケージに組み込まれてるので
日本語版があるのはdistrowatch
? Fedora Core: devel
? Gentoo Linux: unstable
? Mandrakelinux: cooker, 10.2-beta3
だけなんだし。

432 :424:05/02/27 18:51:47 ID:XSQ/6ly4
>>427
> PCの消費電力と二酸化炭素排出量は直接関係ない。
> ちゃんと電気料金を支払ってるのだから

「カネを払ったんだから責任は供給側」か?
ありがちな詭弁だな。

> *BSDとかDarwinなんかも似たようなもんだよね。たぶん。

確かにGentooよりもこいつらの方が性質が悪いかもしれないな。


>>428
> 自前オプション&パッチとかパッケージの追加も簡単で、
> それでいてソフトをパッケージ管理のもとであつかえるってことは、
> 慣れたらてばなせないんだが。

まあその極めて個人的な我儘にも一定の価値を認めないわけではないが、
それって果たしてこの極めて危機的な地球環境に比べても、優先されるのかな?
>>429みたいに目を閉じ耳を塞いで現実を直視せず逃げるのが、許されなくなりつつあるぞ。

433 :login:Penguin:05/02/27 18:55:43 ID:yvOjnE1J
>>432
それだけ言うのなら、まず君がパソコンの電源落せよ。
きみもふくめ皆その行為を必要だと思ってるからそのエネルギーを使ってるんだが。

どのみち省エネルギーだけじゃこの問題は解決せんよ。
中国、インドもいるんだからな、根本的な量を増やす事を考えんと。

434 :login:Penguin:05/02/27 18:57:59 ID:yvOjnE1J
>>432
後もう一つ、どのみち消費されたエネルギーは最終的には熱になるんだから、
今みたいな寒い時期に言うのはナンセンスって物だな。
パソコン使ってる分、エアコン消費量が減ってるわけで。



435 :login:Penguin:05/02/27 19:07:18 ID:TYd31wAK
「また手動あぼーんしなくちゃいけねえよ、面倒くせえなあ」とか思ってたら、
なんかすんごい釣れてるからそのままにしときます

436 :login:Penguin:05/02/27 19:07:55 ID:T0roRW0J
Gentoo辞めるより、夏にエアコン使わずガマンするのが一番環境に優しいよ。

437 :login:Penguin:05/02/27 20:05:27 ID:AdTTl3Cw
>>432
> 「カネを払ったんだから責任は供給側」か?
> ありがちな詭弁だな。

いや俺が言いたいのは、技術が追いつかなくて各家庭・企業の
消費量を抑えるしかなくて、本気で大幅削減する気があるなら、
来年から電気料金100倍です、とかするしかない。

料金変更に政府の承認が必要ならそういう努力もしてないんじゃ
ないの、ってこと。

奇麗事で地球のために節電しましょうなんて言ってても効果は少ない。
法律とかで政治が電力会社の首絞めて、電力会社が国民の
首絞めないと何もかわらんと云いたい。そういう意味で政治家もまだ
企業努力で何とかなるとしか思ってないんだろう。

目標レベルが技術的に困難かどうかなんて俺には分からんし、
もしそれで可能ならそれこそ電力会社の努力だけの問題だし。

438 :login:Penguin:05/02/27 20:13:11 ID:zxdlgtSD
2005.0かportageの新バージョンが出ないとネタ無いね

439 :login:Penguin:05/02/27 20:21:52 ID:UEojGUdH
うん。安定しすぎててなにも書き込む事がない。

440 :login:Penguin:05/02/27 20:45:19 ID:2yOxA/7V
っていうか、暇人の戯言に付き合うおまいらも随分と暇人ですね

もっと有意義に遊ぼう

441 :login:Penguin:05/02/27 22:24:02 ID:I5OMyczB
ID:XSQ/6ly4はとんでもない言いがかりだけど
437の締めみたいに「電力会社の努力だけの問題」と
責任の所在を全面的に他者に押し付けるのもなんか
なぁ。

>奇麗事で地球のために節電しましょうなんて言ってても
>効果は少ない。

これって「選挙の投票行ったってどうせ何も変わらない」と
同じに聞こえる。
なんかなぁ。

442 :login:Penguin:05/02/27 22:32:23 ID:A6C0OBRB
buildpkg で作ったパッケージを一番新しいバージョンの奴だけを残す
いい方法ごぞんじないですか?

443 :login:Penguin:05/02/27 23:45:05 ID:OiburHPN
packageのあるディレクトリで

#ls | grep -v `ls -t |head -n +1` |xargs rm

とか。
べたべたやね orz

444 :login:Penguin:05/02/28 00:06:24 ID:/97xarHB
>>441
諦めてしまう状況を作ってしまったらもうどうにもならないんだよ。
諦めてる人を責める前に何かやるべき事があると思うんだが、まだわからないようだしね。

445 :login:Penguin:05/02/28 00:32:07 ID:jxUmjyKI
だーから、おまぃら全員、自動車やめてチャリにしろ(w

446 :login:Penguin:05/02/28 02:58:12 ID:VRURjWGn
>>444
俺も多少環境問題かじった人間だが、
環境問題原理主義(と俺はよんでいる)はの問題点は、
何らかの必然性があってそうあるものを、自分が必要ないからとあっさり無視できる所だな。
まあ、これは共産主義思想なんかでもあることなんだけど。

例え下らない決まりや、人間関係から生じた無駄からでも
必要だからそこにあるんだが。
で、ソースコンパイルの方が便利だからこうしてるの。
依存性の罠はもうごめんだ。
ただでさえそれでCPUの利用拘束されるのだし。
コンパイル終った後も無駄にしないようfolding動かしてるし。

そもそも、kdeやopenofficeぐらいの大物でも、それをやってる間PCの電力が総動員されるとして、
コンパイル所要時間24時間として200Wマシンとして、
0.2kw×24時間×4.8kwですな。金額換算すると大体100円か。
エアコンなら2時間で消費するぞ。このぐらいの量。

>>443
俺なら最後を xargs mv /tmp にするな。
rootで、パイプの引数を元にrmするのは勇気がない。

447 :login:Penguin:05/02/28 03:22:07 ID:y8gnd1UM
おまいらマジメに考えすぎ
逆にバカみたいだぞ

448 :login:Penguin:05/02/28 06:57:23 ID:hXb1mcWH
>>441
全面的に他者に押し付けてるわけじゃないけど、Gentooを使うことと
温暖化の関係は俺にとってその程度ってこった。

温暖化対策の緊急度が非常に高くて国民一人一人に犠牲を強いるなら
アピールが全然足りて無いのが現状。料金100倍というは極端な例だけどね。

だから今はGentoo使いを非難していられるくらいの緊急度でしかない
ってことなんだとおもうよ。


449 :login:Penguin:05/02/28 08:20:30 ID:j2cnIqj+
>>446
folding動かさない(hltしてる)方が電気食わないよ。熱も少なくなるし。
CPUのクロック変えられるならなおさら。

450 :login:Penguin:05/02/28 11:27:40 ID:Cdw2P2cB
つーかマンコだろ

451 :login:Penguin:05/02/28 11:45:04 ID:0Gq8DKNl
>>446
> 何らかの必然性があってそうあるものを、自分が必要ないからとあっさり無視できる所だな。

これって相互ともに言えることだよね。

> エアコンなら2時間で消費するぞ。このぐらいの量。

だからってあっさり無視しちゃうの?
それもまた自己中心的だね。

452 :login:Penguin:05/02/28 11:54:39 ID:TrjFu61G
> 日本はそういうのもろに遅れているのは確か。
逆。日本は高度成長期の環境・資源問題から
省エネ化が進み、この分野ではトップ。
同じ1%削減するのでも、省エネの進んだ日本と
無駄使いしまくりの欧米各国じゃコストが段違い。

gentoo とは恐らくなんら関係ない話。

453 :login:Penguin:05/02/28 13:16:43 ID:dYGsLOxn
>>451
消えろ池沼め

454 :login:Penguin:05/02/28 14:19:24 ID:VRURjWGn
>>449
しかしコンパイルする&なんかのサーバーとして使っている以上
つけとかにゃならんわけで、それなら動かしとこうかと。この研究もまた必要なんだし。

>>451
相互に言える?
俺は減らせる分は減らしているが、gentooは減らせないから言ってる。
お前はその無駄カキコ何か真っ先に減らせそうだが?
そんなに自分の必要なものを簡単に減らせると言うのなら、そういう人から真っ先に減らして欲しい物だがね。
まあ、それは必要ではなかったって事なんだろうけど。
自己中心的うんぬんではなく、その機能が必要だから減らせないんだが。

455 :login:Penguin:05/02/28 14:22:20 ID:BW2o9g5O
イイこと思い付いた
おまえら今すぐPC窓から投げ捨てろ

456 :login:Penguin:05/02/28 14:36:51 ID:9FgksNkk
最適化した方が、エネルギー食わないような気がするが...
違うのかなあ

457 :login:Penguin:05/02/28 14:46:51 ID:7NknlnVF
パケージのビルド自体結構CPU負荷かかるしなぁ。
特にプレスコとか大喰らいらしいね。

458 :login:Penguin:05/02/28 18:11:04 ID:wEVwAtcu
マスクされてるパケジの一覧とかって見れるかな?


459 :login:Penguin:05/02/28 18:36:19 ID:AuPyx797
AMD64でATOKかWnn7動きますか?

460 :login:Penguin:05/02/28 18:48:03 ID:j2cnIqj+
net-www/gentoo-webroot-defaultにやられた。ショック。

461 :login:Penguin:05/02/28 21:56:02 ID:VI6Uj7ra
28歳

日本に課せられた温室効果ガス排出量の削減目標は6%。
しかし、実現は相当厳しい。
何故ならば、この6%削減というのは、初回のみだけど1990年の値が基準なのだが、
実際には1990年から2003年の間に8%も増加させちゃえばいいだけ。
つまり、ノルマ達成には現状から14%削減すればいいだけ。

京都議定書の議長国である日本がもしこの目標を達成できなければ・・・
世界中の笑い者、面目丸潰れ。一度やってみなよ。マジおすすめ。

そうなることを望んでいる反日売国奴なのかな?Gentoo厨って。
ハッカー気取りで大した理由もなく馬鹿みたいにビルド繰り返す前に
ちょっとは地球の事、日本の事を考えてみなよ。マジおすすめ。

462 :login:Penguin:05/02/28 22:14:11 ID:Gp3AIjWC
専用スレ立てて出ていってくさい

463 :login:Penguin:05/02/28 22:16:24 ID:3lgDz3CT
どこぞのアホがマジレスするから居着いちゃったよ。


464 :login:Penguin:05/02/28 22:29:33 ID:x4f9ZWV2
ちなみにdebianは地球にとっても優しいデストリですよ。

465 :login:Penguin:05/02/28 22:31:30 ID:jxUmjyKI
>>461
だからおまえは1990年頃のPCを使え。
PC9801VXなんてどうだ?
環境にやさしいぞ(w


466 :login:Penguin:05/02/28 23:23:58 ID:BKOIyO8g
distccでcross-compilingがやりたくて、以下のURLを参照して
ためしたが、うまくいかない。
ttp://dev.gentoo.org/~vapier/CROSS-COMPILE-HOWTO

(4) Emerge binutils.
$ emerge cross-hppa2.0-unknown-linux-gnu/binutils

cross-...は、自分がtargetにするCHOSTなんだろうけど
どちらにせよ、そんなebuildは存在しない。

distccのcross-compilingをやってるかた、助言を戴けないでしょうか?

467 :login:Penguin:05/03/01 00:34:14 ID:X2xAZv+E
おい!おまえら!
環境問題とか省エネとかほざいてるが、そもそもソフトウェアよりもこんなに
消費電力を増やしたハードウェアメーカーに文句を言ってください。
それとGentooよりも圧倒的に稼働数が多いWindowsに(以下略
というわけでこの話は今後一切禁止!

468 :login:Penguin:05/03/01 00:55:23 ID:yF4SdzlO
2005.0マダー?

469 :login:Penguin:05/03/01 01:08:40 ID:GY4SY1q1
>>466
まさかとは思うんだが、
クロスコンパイルと分散コンパイルをごっちゃにしてたりしないか

470 :login:Penguin:05/03/01 01:53:29 ID:d7kU/Nhj
いや、>>466がクロスって言ってるのは
distccで、ジョブを振る先のPC搭載CPUが
母艦CPUと違うということでは?

471 :466:05/03/01 04:57:36 ID:oNIHMZhP
捕捉すると、
PC1: CHOST="i386-pc-linux-gnu"
PC2: CHOST="i386-pc-linux-gnu"
PC3: CHOST="i686-pc-linux-gnu"

PC1-PC2間では、正常にdistccは動作する。
PC1-PC3,PC2-PC3では、正常にdistccは動作しない。
これはArchitectureがちがうから当然で
PC3で"i386-pc-linux-gnu"のdistccを行ないたい場合は
"i386-pc-linux-gnu"のgcc, binutil, glibcが必要になってくる。
そこら辺を解説しているのが
ttp://dev.gentoo.org/~vapier/CROSS-COMPILE-HOWTO
のハズ。 が内容通りにやってもうまくいかない。


472 :login:Penguin:05/03/01 07:17:09 ID:GqoY9Asm
>>471
うちは
PC1:CHOST="i686-pc-linux-gnu"
PC2:CHOST="i586-pc-linux-gnu"
でdistcc動いてるように見えるのだが実はやばい・・・?

帰ってきたら見てみる
make.conf見ればよい?

473 :466:05/03/01 08:21:23 ID:oNIHMZhP
>>472
>でdistcc動いてるように見えるのだが実はやばい・・・?
>帰ってきたら見てみる
>make.conf見ればよい?
いや、emergeが正常にすればOKなのでは?

で、/etc/make.confに
PORTDIR_OVERLAY="/usr/local/portage"
を設定したら
emerge cross-i386-xxx-linux-gnu/binutils
は通った。 調子にのって
emerge cross-i386-xxx-linux-gnu/gcc
したら、gcc動かなくなった... なにもemergeできない。
gcc元に戻すにはどうする....liveCDから引っ張ってくるしかないのかな?


474 :login:Penguin:05/03/01 11:33:36 ID:zSdU4i35
うちでは CHOST をコメントにして distcc してる。
CFLAGS に -march 指定してるから CHOST 無くてもいいんじゃ?(不明)
すると gcc でコンパイルするようになった。
i586 と i686。

475 :login:Penguin:05/03/01 12:20:18 ID:O9a1SGJd
>>468
emerge -uD world
でカーネルアップグレードしてれば同じだろ?

476 :login:Penguin:05/03/01 13:39:59 ID:2YMDYh5y
>>473
うちは大体そこに書いてある通りで動いたよ。
USEも少なくしといた方が依存関係が減って楽?

成功すれば
/usr/${TARGET}/以下にtoolchainがインストールされます。

間違えて
inherit toolchainされてないebuildをマージすると大変なコトになる予感

477 :466:05/03/01 13:53:57 ID:oNIHMZhP
>>476
今その大変なことになってる... 再インストールの予感。


478 :login:Penguin:05/03/02 17:59:19 ID:geW+VuWo
>>466
DISTCC_LOGを設定しているならそれで確認できるはず。

>再インストールの予感。
バックアップとってから試しとけばよかったねとしか言いようがないね。

479 :login:Penguin:05/03/02 19:07:40 ID:Kohh1EoD
先々athronマシンとceleronマシンで分散コンパイルするつもりだったがあぶねー。
今のマシンがceleronで、athlon環境に移そうかと思ってたんだがなぁ。
ってことは、i386でコンパイルしないと分散コンパイルできないと言う認識であってるの?
最適化ナッシングになっちゃうけど。

480 :login:Penguin:05/03/02 19:26:37 ID:+j/Dpb9O
>>479
んなことは無い。
作られたコードの共有は無理だけど。

481 :login:Penguin:05/03/02 19:39:14 ID:V49JQaNb
どなたかnavi2ch-cvs.ebuildを保存してる人がいたらウプしていただけませんか?
本家ツリーにマージされた時からか分かりませんが、今は存在してないみたいです。

482 :466:05/03/02 21:01:52 ID:bvzSKD7L
みなさん、いろいろアドバイスありがとう。
設定ファイルのバックアップは、とってあったので
すぐに復旧できました。

で、/etc/make.confのCHOSTを#で、distccとおるようになりました。


483 :login:Penguin:05/03/02 22:32:58 ID:xrQBXfrg
2005.0のインストール完了
experimental からlivecdとstage1をダウンロードして
手順は普段どおり。
ただ、sys-kernel/linux-headers-2.6とsys-kernel/gentoo-sources-2.6を
使いたいのでbootstrap.shの前にlinux26-headersをemerge -Cで消して
package.unmaskに
>=sys-kernel/linux-headers-2.6
>=sys-kernel/gentoo-sources-2.6
を記述して、/etc/make.confにはUSE=nptlを書かずに
/etc/portage/package.useにsys-libs/glibc nptlを書く。
念のためpackage.maskに
sys-kernel/linux26-headers
sys-kernel/gentoo-dev-sources
profile/virtualsに
virtual/os-headers sys-kernel/linux-headers
を書いてる。

484 :login:Penguin:05/03/03 00:11:37 ID:V8/rFZT6
あれ、2005.0出た?

485 :login:Penguin:05/03/03 00:30:01 ID:sLFYzB80
experimentalって書いてあるじゃん。
リリースはまだよ。テスト用のISOイメージが転がっている。

486 :login:Penguin:05/03/03 00:41:44 ID:V8/rFZT6
>>485
あっ、スマン

487 :login:Penguin:05/03/03 04:52:27 ID:Tzx7tutx
2005.0は3月5日の予感

488 :login:Penguin:05/03/03 07:06:45 ID:pW/HI61f
gccでプリコンパイル済みヘッダーを使いたいのですが、

ACCEPT_KEYWORDS="~x86" emerge gcc
gcc-config i686-pc-linux-gnu-3.4.3-20050110
source /etc/profile

で、emerge qtとしても、
Configure.....
PCH support....no
と出てしまいます。
上に書いた以外で、必要な手順ってありますか?

本家のforum見たけど、分かりませんでした。


489 :login:Penguin:05/03/03 07:48:33 ID:QZlWmAId
GWNより
http://www.gentoo.org/news/ja/gwn/20050221-newsletter.xml
>Gentooが入った玄箱
>http://www.gentoo.org/images/gwn/20050221_kurobox.jpg
>玄箱の歴史は、2004年前半の日本で、バッファローの姉妹会社である玄人志向が、
>「パワーユーザ」市場に古いLinkStationの在庫を販売すると決めたことから始まります。
>したがって、最も古くて最も大きい玄箱のハッカーコミュニティは日本にあり、彼らの
>Linkstation Wikiや山下康成のblogにある多くのドキュメントがそれがどれくらい活気が
>あるかを示します。数ヶ月で、玄箱はRevogearによってアメリカやヨーロッパでも販売され、
>現在フォーラムとwikiを中心に置く新しい日本以外のコミュニティは、それらに利用可能な
>多くの英語の情報を持っています。

こんなもん紹介されとるwwwwwwwwwwwwwwwwwww

490 :login:Penguin:05/03/03 13:14:26 ID:hjJ0u1u4
竹島です

491 :login:Penguin:05/03/03 17:00:39 ID:zXbIOK9G
独島ニダ

492 :login:Penguin:05/03/03 20:31:10 ID:dx3m1SUl
php-cgi-4.3.10をemergeで入れようとしてるんですが

checking for Sablotron version... configure: error: Sablotron version 0.96 or greater required.

で止まってしまいます。
sablotronは最新の1.00が入ってます。
試しに消して入れなおしたり、0.97を入れてみたりしたんですが
状況は一向に変わりません。
もう年末ぐらいからずっとそうで、もしかしたら修正されたものがそのうち上がるかなと思って
待ってるんですがそんなこともなく、
ググっても他にこんな症状の人もいない様子なので
たぶんうちだけかな、と思うんですが…。

ほかにどこを調べたらいいでしょうか?

493 :login:Penguin:05/03/03 20:43:44 ID:9g38bgZX
Gentooメーリングリストの田中氏はわらた
自分の知識不足だと言う事が分からないのだろうか?逆ギレしてるしw

494 :login:Penguin:05/03/03 20:51:03 ID:sLFYzB80
>>492
USEフラグはどうなっていますか?JavaScript関係の対応が
Sablotronにあるのですが、JavaScriptを有効にした状態で
Sablotron側がJavaScript無効だと失敗するんじゃないかと
思います。

495 :login:Penguin:05/03/03 21:04:24 ID:7NzF4bZ7
begin 644 navi2ch-cvs-20030610.ebuild.bz2
M0EIH.3%!629369GTY`0``&=?@!`P7/?[<C_OWZ"_____0`+=28Q2DH:)-I`A
M'III&U,RCU,AH`R`TVD>F4V1-`T31H0:"3Q(``````#0`#FF1D,F"&C"8(TT
M:,0-,F1@`""2(@T")@:FIA-D3U!H]0:&C:3331IZC(A`01Z/Z.!]H03>,:NU
MX!V9Y9)G&29DPJI0['L2J"`E@?8A`S-5/X:+/<KUEY)W;3*']Y"N_<0,:A4[
M6V31W4]VXC43$=*)$*YY3!A&>--\&>WT:XS<.N7.'")AAF87$N6!"9W=J8<K
M`7[GB+6C!C9IWE=&/3[,?F:ARIPUJ*,C9ML'"L*)BB,PA'--W0P(&Q!A%>KL
M$UM&7GN.27-P1>0B)HR`23/^XAYY;L'QIGIJ7'4%#4C2WDJ78ZQMA!V4W?#)
M\CU]@[P:/7@$0TQ$I9/:V/N;(G*A!70?JW5,3RR6Q]RL2DFR)\PF5+/*\C2J
M#[L!!AV*+Z+QET_`K>'W]:QE4\-^$JMQL51BN0+FG<Z0-YKFD(SN*^4]`G<>
M$B-UUM81;XG\/6Y]5J.E8>I?.!S=NL.".PGMK,["-FVJB!&L3_`&9!*@@7PP
M1),]M7)T4;0H#:!/=#OJ1EN1A/I^^O0H.\+:VO93IDX^<YWV9)I^`L(H-QA=
MF%Z,$XEE;T3;$3"JRFU!,Z_7#:,;"`98@N$:`@<D*A*PEX0G%@T>"-H*PO]N
M2PQHE11Y.\Q(-E-W(V:OD*X8$N>W0O"9E>C,PFU&(HWJB+.SZ/PU!=LC0C>M
MI"R=5&\85X`SR!L_(0UGA#,J##%;H':/)K$UTU8XHN$T!#(X\4Y/,B9QHMQ(
M&/4!5G=$!8\\V13$/%%+S\9<++HV43,<T2W?7"6MD9%-@\=)ATDBC*2@.9CB
M`T('C@"AXH@B,A@(:AT[-XI."D]HK=3(LP3D5@L.:!"MQX,KRW5*;0'%)2QA
MKQ7B@C1,LP74K^Q=HTVE\@@:L#X4+3>B!_L8ZEE0Z.M+Q0Z-]'+KUGR,)?XN
)Y(IPH2$SZ<@(
`
end


496 :login:Penguin:05/03/03 21:05:49 ID:bJhUvrG3
>>493
詳しく

497 :login:Penguin:05/03/03 21:08:10 ID:QZlWmAId
>>492

http://bugs.gentoo.org/show_bug.cgi?id=65693#c25
ここみると、>>494のいってる通りJava関係っぽいね

498 :496:05/03/03 21:13:40 ID:bJhUvrG3
>>493
スマソ 詳しくもなにも最近のポスト見ればすぐわかった


まあ、どこにでもこういうキモい人はいるんですね…と

499 :login:Penguin:05/03/03 23:15:10 ID:7NzF4bZ7
scim-wnnは必ずしもfreewnnは必要じゃないと思う
wnn7sdkかfreewnnのいづれかでよいと思う
USE=freewnnとかで分岐してほしい


500 :login:Penguin:05/03/04 00:31:44 ID:NzmKWFeA
>>493
うん?普通じゃないの

501 :227:05/03/04 01:00:33 ID:tzRKOdSz
もう大分前に書きこんだ事だけど、謎が解けたので一応パピコ

IGP 340MはVRAMはメインメモリとシェアで、BIOS側で最大容量(64MB)を確保するように設定しておかないと、3Dアクセラレーションの一部の機能(フルスクリーン時のアクセラレート)が動かない。



502 :login:Penguin:05/03/04 01:24:06 ID:5h7jSQiW
>>499
freewnn自体が必要なんじゃなくて、
freewnnパッケージに含まれているwnnenvrcが必要なんじゃないかと。

503 :login:Penguin:05/03/04 02:50:10 ID:l6fxz21C
それも必ずしも必要じゃない.
wnn7/8を使う人はね

504 :login:Penguin:05/03/04 06:22:43 ID:8441Wulh
>>475
少なくとも、amd64はそれだけじゃ駄目。
ちょっと手間がいる。

505 :login:Penguin:05/03/04 09:51:45 ID:5h7jSQiW
>>503
とすると正しい依存関係は
DEPEND="|| ( app-i18n/freewnn app-i18n/wnn7 app-i18n/wnn8 )"
になるんじゃ……? ( DEPEND="freewnn? ( app-i18n/freewnn )" ではなく)
この場合wnn7とwnn8のebuildがないかぎりこういうふうには
書けないけど……。

506 :login:Penguin:05/03/04 13:32:50 ID:go2pzSrD
gentoo導入に向けて資料を集めています。
初心者的な質問ですが、どの程度のスペックを持ったマシンが適当なのでしょうか?
最終的にはGUIでと考えています。

皆さんのPCのスペックはどの程度ですか?


507 :login:Penguin:05/03/04 14:10:16 ID:W1NmOHWn
低スペックユーザの強い味方(自分含)

&&

まぁそんな冗談はおいといて
自分はCeleron600MHz RAM320MBなノートにインストールして使ってるけど
辛いのは最初とでっかいものをビルドするときぐらいかな

508 :login:Penguin:05/03/04 14:31:23 ID:xCnOLJqL
Celeron 1.0AGHz, 512MB SDR-RAM だと一晩で終わらないのがあるので
デカイ物は躊躇する。
Athlon 1700+(1.47GHz), 512MB DDR-RAM だとだいたい一晩で終わるんで
どんどんemergeする。
(emerge -eD world とかインストール時は別)

509 :login:Penguin:05/03/04 15:48:28 ID:ZAdR8ZWk
>>506
CPU:P4 2.0GHz
Memory:2.0GB
HDD:120GB
大学での研究用

こんな感じ。Vine3.1があまりに調子悪いんで乗り換えたんだけど、快適です。
最初の設定について自分でやる事たくさんあるけど、少し中身が見えて楽しいよ。
ちなみに、Gnomeは半日掛かるよ。

510 :login:Penguin:05/03/04 17:34:43 ID:UyQ3vQ4S
>>506
CPU: Celeron 333MHz (Mendocino)
RAM: 192MB (SDRAM)
HDD: 20GB (E-IDE)
VGA: Trident Cyber9388 (2MB VRAM)

こんな低スペックノートPCだけど、KDEも入れてWeb (Konqueror/FireFox)
Mail (KMail)、文書書き(Emacs)、その他 beep-meida-playerとかの
小物系でぼちぼち使えてます。

やはり build は死ぬほど時間がかかるので、stage3 以降は distcc。
USEフラグ厳選&CFLAGS微調整、ebuildファイルの最適化オプション
の調整で、結構スピードアップできるので、古いマシンにもgentooは
有る意味お勧めかも。



511 :492:05/03/04 17:41:42 ID:SqoLP1HR
>>494
>>497
USEフラグは大量にあるんですが、javaも入っています。
sablotronもjava付きで入れてます。

教えていただいたサイトにの一番下の通りにやると解決できるようですが
パッチのとこが、奴ら英語でちびちびとパッチを小分けに書き込んでて
よくわからないのでパッチは飛ばしてやってみたら、やっぱダメでした。

まとまった時間が取れたら本腰入れてもう一度やってみたいと思います。
ありがとうございました。

512 :login:Penguin:05/03/04 17:49:47 ID:/5uK1WFd
>>511
FEATURES="nodoc"
だったりしないか?
俺もまったく同じエラーが出たことあるが、nodoc 削って
USEに doc perlを追加、--newuse使ってjavaから入れ直したら通った。
なぜそうなったのか説明はできないんだが一応。

513 :506:05/03/05 00:56:03 ID:1MlL1Kne
皆さん、大変参考になりました。
ただ今、「はじめてのgentooLinux」という本を読んで勉強中です。
また何かありましたら宜しくお願いします。


514 :login:Penguin:05/03/05 10:53:32 ID:x/mU7yCe
> また何かありましたら宜しくお願いします。

カチ━━━(`Д´)━━━━ン

515 :login:Penguin:05/03/05 11:57:19 ID:sH+OZQDj
>>514
コチ━━━(-_-)━━━━ン

516 :login:Penguin:05/03/05 12:01:12 ID:dE9PsCT5
そんな本を読んでるんじゃ、インストール後にハマり確定の予感。



517 :login:Penguin:05/03/05 13:55:20 ID:xOzwCfBP
『はじめての〜』系の本はガンガン改訂しないと

518 :login:Penguin:05/03/05 14:56:28 ID:pEU4jjFB
「はじめての〜」とか読むのもいいけど、それをベースに発展できる奴以外は嵌りまくってLinuxって糞って言うだけ。
でもなにかをベースに発展できる奴はnetの情報だけで十分なわけで・・・要は本買わないと何も出来ないような奴は
窓使ってろってこった。

519 :login:Penguin:05/03/05 16:15:17 ID:ZHeEp9F5
ある程度体系的にまとまった情報源として本は便利だと思うけど。
まぁその本の質に左右されるし、何より私は「はじめてのgentoo」
の内容とか知らないけど。

520 :login:Penguin:05/03/05 16:32:55 ID:r4uTAPSs
>>516 518
お前らみたいな奴が居るからlinux使いは糞ばっかりって言われるんだよ

521 :login:Penguin:05/03/05 17:14:19 ID:VW8HgD8M
>>520
禿同

522 :login:Penguin:05/03/05 17:35:42 ID:+kmoE60p
受け身な奴が駄目なだけでしょ。
間違った方向に積極的な場合もあるけど。

gentooのインストールは、インストーラ任せじゃないし。
慣れない人には、本があれば、いつでも参照することが出来て良いと思う。

gentoo.orgにあるドキュメントは、私にとっては十分親切だし、
興味とある程度の知識があれば、本を買うまでもないとは思う。

523 :login:Penguin:05/03/05 17:56:41 ID:RR5tZxR/
説教厨っておしえて君よりよっぽどウザイんだけど。
こいつらって嫌味と説教言う為だけに張り付いてんの?
気持ち悪ぃ。

524 :login:Penguin:05/03/05 18:25:44 ID:MTQKu/RX
>>523
我思う そんなおまえも 説教房
(ただし並の説教房より程度は低い)

525 :login:Penguin:05/03/05 18:26:03 ID:MlH8bklO
>>523
ご苦労さん

526 :login:Penguin:05/03/05 18:36:10 ID:Ogfc/0yy
emerge --sync
の後に、
* An update to portage is available. It is _highly_ recommended
* that you update portage now, before any other packages are updated.
* Please do so and then update ALL of your configuration files.
というメッセージが出るんですが、
# emerge -u world
を実行せよということでしょうか、それとも他のコマンドの実行の必要がある
のでしょうか?


527 :login:Penguin:05/03/05 18:39:48 ID:RP+r1GT6
輸送へのアップデートは利用可能です。 _いかなる他のパッケージもアップデ
ートする前に非常に、_が、あなたが現在輸送をアップデートするのを勧めたと
いうことです。
あなたの構成ファイルのすべてをそうして、次に、アップデートしてください。


528 :login:Penguin:05/03/05 18:44:27 ID:+kmoE60p
さすがに、それくらいの英語は読めた方がいいかと。

529 :login:Penguin:05/03/05 18:46:40 ID:klMgROzU
>>526
このくらいのメッセージは理解しようよ...orz

-----------------------------------------------------------
* portage の更新版が利用できます。他のパッケージをアップデートする
* 前に、portage を更新することを強くお勧めします。更新を行って、全て
* の設定ファイルをアップデートしてください。
-----------------------------------------------------------

つまり、emerge portage してから他のアップデートしてくれってことだよ

530 :login:Penguin:05/03/05 18:55:25 ID:0S9pSxXx
>>529
emerge syncじゃダメなの?

531 :login:Penguin:05/03/05 18:58:21 ID:RP+r1GT6
よくインストールできたな、と思う今日このごろ

532 :login:Penguin:05/03/05 19:37:50 ID:3ESkBtmn
今なら日本語訳ページを忠実にトレースすればインストはできる。
いろいろインストし始めて更新させると英語の壁が立ちはだかる。

emergeするたびに手動で更新せにゃならんコンフィグファイルもドンドン
増えてたりして。


533 :login:Penguin:05/03/05 20:31:06 ID:0S9pSxXx
Gentooは高卒向けだから英語が読めなくても平気なはずなのにorz

534 :login:Penguin:05/03/05 20:35:37 ID:YGcDhbyg
emerge --sync ←(1.4と違う所)

535 :492:05/03/05 22:32:35 ID:aoiBDqa5
>>512
何でか知らないけどできました。
nodocではなかったので、USEにdocを追加(perlはあった)
blackdown-jdk・sablotron・php-cgiを全部newuse付きで入れました。
ありがとうございました!!

536 :login:Penguin:05/03/05 23:43:08 ID:PKGFG8eY
mod_php はどないすればよかと?

537 :login:Penguin:05/03/06 00:39:46 ID:D+VlWokm
そぎゃんこと悩んでないで、あぎゃんして、こぎゃんればよかとです。


538 :マジヴォケでした:05/03/06 01:55:19 ID:Jnyhtt2h
526 です。
そっか emerge portage をやれってことだったのか
ィヤ、なんか Portage のデータベースみたいのがあって、それをアップデー
トせよってことかと勘違いしましたです。


539 :login:Penguin:05/03/06 02:03:07 ID:oltVrvXL
>>533
中卒でも英語くらい読めます。

540 :login:Penguin:05/03/06 09:55:37 ID:sDeo6jT7
2005.0age

541 :login:Penguin:05/03/06 11:02:31 ID:QbUtbDhh
GTKのバージョンが上がったらATOKの環境設定が起動できなくなった件について

542 :login:Penguin:05/03/06 12:57:23 ID:3xrx5lmx
>>541
ATOKスレで既出。
とりあえずGKT+2.4つくって、どこかに保存しておいて、
LD_PRELOAD。

543 :login:Penguin:05/03/06 13:21:53 ID:QbUtbDhh
>>542
ん〜、なんかそれはいやだな。とりあえず今、ついてきたソースコンパイルし直してるからそれで動かなかったら
>>542の方法やってみます。ありがとう。

544 :541:05/03/06 13:36:00 ID:QbUtbDhh
ついてきてたソースはiiimfだけだったみたい・・・orz PRELOADに決定・・・
ゴミレスすまそ

545 :login:Penguin:05/03/06 14:25:50 ID:S0T3MyKO
今日udevに移行した
Gentoo Linux 2.6完全移行ガイドより詳しい解説があったので張っておこう
ttp://de.gentoo-wiki.com/HOWTO_Udev

546 :login:Penguin:05/03/06 20:16:15 ID:g3OH5XqK
ppc64 で USE に multilib を追加しても glibc は 32 bit の
ライブラリ作らないし gcc のコンパイルに失敗する件について

547 :login:Penguin:05/03/06 21:07:34 ID:lq8KYiil
初めて emerge -u gentoo-dev-sources したんだけど
以前のバージョンのソースは消してくれないんだね。/usr/src/linux の
リンク先も変わってないし。なんでこんな事になってるの?

548 :login:Penguin:05/03/06 21:31:27 ID:8RJdQbp8
普通にhoge-sourcesをupした時も消えないだろが。

549 :login:Penguin:05/03/06 21:41:23 ID:lq8KYiil
>>548
そうなんだ。ごめんよ。でも前のバージョン残す人なんてあんまいないんじゃない?

550 :login:Penguin:05/03/06 21:47:43 ID:8RJdQbp8
そう思うなら自前unmergeスクリプトでもこしらえて使ってれ。

俺はlinux-xx.xxディレクトリにしても/boot/vmlinuz-xx.xxにしても
二つ前くらいまでは消さないことにしてるが。

551 :login:Penguin:05/03/06 21:54:45 ID:QbUtbDhh
俺もなんか気持ち悪いからすぐ前のバージョンをアンマージしてたことあったけど
もう辛い思い出に変わりつつある。チューニングし始めればなんで消えないかわかるかも

552 :547:05/03/06 22:01:03 ID:lq8KYiil
ごめん、よく考えたら消される方が不便だ。
ソースだけ取得して、実際はコンパイルしないっていう人もいるよね。
実際使われてるカーネルのソースが消されると困るし。
コンフィグしまくる人には前のバージョン残して欲しいってのも分かる気がする。
正直すまんかった。

553 :login:Penguin:05/03/06 23:22:04 ID:02mlJ0XI
2年くらいつかってると/usr/src以下の
ディスク圧迫はかなり凄いものがあるよね。
emerge -p hoge-sources
してもいろいろゴミが残るし。
現状だとカーネルのemergeには--oneshot
をつかってdepcleanを封印するのが上策?


554 :login:Penguin:05/03/06 23:23:00 ID:02mlJ0XI
s/-p/-P/

555 :login:Penguin:05/03/07 01:37:15 ID:H8Whuptf
>>547
USE="symlink" emerge hoge-sourcesすれば/usr/src/linux
のシンボリックリンクは書き換えられるんじゃない?使ったこと無いけど。

556 :login:Penguin:05/03/07 04:20:19 ID:G1mscr2n
>>547
USE symlink

557 :login:Penguin:05/03/07 06:47:59 ID:G1mscr2n
setuidとかされてるものの場合、
CFLAGSに-Wl,-z,nowつけろって出るけど、
discouragedって妨げるとかそういう意味らしい。
普通に動いてるから、気にしなくても良いのかな?

全部に-z nowはつけたくないから、
わざわざCFLAGS変えるの面倒なんで。

558 :login:Penguin:05/03/08 07:24:49 ID:QMd/8Yr9
csconv(x86)のコンパイルが --host=i686-pc-linux-gnuの影響なのか失敗するよ。
とりあえずこれはずすとコンパイル通る。
USE=-debugなのにCDEBUGFLAGSに-gとか付いてるし変だよ。このソース


559 :login:Penguin:05/03/08 22:29:18 ID:S10qd/n+
handbookも2005.0へ入れ替えへ。
そろそろ?

560 :login:Penguin:05/03/09 00:37:06 ID:jwc/aX7b
cannaの変換候補(firefoxなどの左下にでてくるやつ)
が文字化けしているのか正しく表示されないのですが、
解決策はあるのでしょうか?
なお、変換自体は行えます。
3台インストールして3台ともこうなのでなにか
設定が抜けているのかと思うのですが…。

KDE上のcanna + kinput2です。

561 :login:Penguin:05/03/09 14:22:09 ID:YHmuCUCL
emerge mozilla-firefoxでインストールしたFirefoxのアイコンとかロゴの画像が本家サイトからダウンロードしたのと違うのですが、違う画像に変えることはできますか?

562 :login:Penguin:05/03/09 19:17:57 ID:xjMvpgrY
だれか竹島さんにガツンと言ってやれよ
「日本語勉強してよ」 って
何をして欲しいのかサパーリわからん

つーか空気読めてないよね、あの人

563 :login:Penguin:05/03/09 19:26:39 ID:4VLJpXr+
>>562
禿同

どうでもいいが、なぜ彼はあらゆる「名前」が違うんだ
・kanayuka(娘の名前?)
・竹島
・OS-rider a man(自分で名乗ってて恥ずかしくないのか?)

で、562さんは彼のサイトを見たことがあります?

ムチャクチャ 読 み に く い んだけど

564 :login:Penguin:05/03/09 20:00:07 ID:MngHceRW
MLの話?

漏れも同意。

565 :login:Penguin:05/03/09 20:21:01 ID:3c88PVgL
>>563
あとシグネチャのつまらないジョークも追加しといてね

566 :login:Penguin:05/03/09 21:25:04 ID:1a8/sZA+
>>562
中の人達がそんな事言えば、竹島が暴走しかねないっしょ
Gentooは初心者を蔑ろにする糞ディストリだとか
犬厨は横暴だとかいって粘着アンチ君に化ける可能性あり

竹島よりも精神面が大人な方々(大半の人)はフレームの元になるような事はしないっしょ

567 :login:Penguin:05/03/09 22:28:57 ID:guWS9yY2
おれは、参考になったYO!

568 :login:Penguin:05/03/09 22:31:59 ID:1a8/sZA+
firefoxで、ページ表示領域にURLを中ボタンでペーストすると、そのURLに飛んだり
適当な単語をペーストするとGoogleの「I'm feeling lucky」での検索結果のページに飛んだりするわけだけども

1.0.1になってから日本語の単語をペーストしたら「xn--zck4a0c8g」こんな文字列に化けるようになった。
アドレスバーには「keyword:xn--zck4a0c8g」と表示されてるんだが、正常動作させる方法御存知の方いませんか?

ちなみに化ける前の文字列は「ペースト」

mozilla-firefox-1.0.1

569 :login:Penguin:05/03/09 22:36:27 ID:vJNP9z4I
購読やめて久しいが、彼は余計な事して余計な問題作って余計な質問投稿ばかりしてた印象があった。
今も元気にそんな感じなのかな。

570 :login:Penguin:05/03/09 22:40:55 ID:6CE5KbUl
>>562
こっちでやりなよ。
Gentoo だけの話じゃないし。

Linuxメーリングリスト スレッド 16
http://pc5.2ch.net/test/read.cgi/linux/1105448000/

571 :login:Penguin:05/03/10 00:22:04 ID:MQExGkEF
>>568
これじゃないですか?
http://e-words.jp/w/Punycode.html

572 :login:Penguin:05/03/10 00:40:47 ID:EuJGUfXx
>>571
うほ、ソレダヽ(´∀`)9 ビシ!!
各言語用ドメイン名だけじゃなくて、URLのエンコードにも影響あったのね

とりあえず>>568の件はPunycodeを使わないという解決策しかないのかな…?

573 :一応解決:05/03/10 00:48:04 ID:EuJGUfXx
ttp://www.mew.org/~kazu/toy/netbsd-pkgsrc.html
こちらさんに設定方法 含めてありました。
やはりIDNを無効にしないと、keyword機能は使えないみたいです。

574 :login:Penguin:05/03/10 06:12:39 ID:gxS9vr5x
apache+PHP悲惨なことになってるね

575 :login:Penguin:05/03/10 06:55:03 ID:L94zwXmc
>>574
朝までお疲れ。うちのstableではまだ来ないみたいだが。
2005年2月28日号のGWNに変更点が簡単に出てて心配しとった。
今更オリジナルの設定ファイルに戻すだの
gentoo-webrootの新設だの……。

ttp://dev.gentoo.org/~vericgar/doc/apache-package-refresh.html
詳しくはこちらに、だそうで。知ってるだろうが一応。

576 :login:Penguin:05/03/10 13:06:29 ID:DhmXXQPC
>>567
あんた竹島さん? ageるほどのことかよ

小町氏とかあんたのゴミメールに腸が煮えくりかえってると思うよ
最近のLinux界はタコにも優しくないから回線切って(r

577 :login:Penguin:05/03/10 13:35:06 ID:UPopSYou
Gentoo Linux先日から使い始めました。いくつかのアプリをemergeして
環境を作ったのですが、だんだん emerge sync したときの
>>> Updating Portage cache:
って処理が、むちゃくちゃ時間がかかるようになってきたんですけど、
これってこういうものなんでしょうか?

578 :login:Penguin:05/03/10 14:03:00 ID:Oh4XMphS
>>576
そんなに神経質にならなくてもw・・・

ちなみにここ「2ちゃんねる」は書き込むとスレッドがageられるシステムになってます。
(つまり、ageがデフォルト)
”わざわざ”なのは実はsageの側なんだよね。

まあ有意義な春休みを過ごしなさいな。

579 :567:05/03/10 14:03:59 ID:GbHyLDCJ
>>576
俺?某OSの社員だYO!

580 :login:Penguin:05/03/10 16:10:10 ID:QTdcRVib
>>575
>>460だけど、index.html上書きされてかなりへこんだ。
読まない自分が悪いんだけどさ。

581 :login:Penguin:05/03/10 22:53:27 ID:Ikjg+JFz
amd64環境にx86用バイナリのコンパイル環境を作るにはgccとbinutilsと
glibcをUSE="multilib"でemergeすればOKですか?

582 :login:Penguin:05/03/10 22:56:49 ID:Rm5fpW11
ここ最近,gimp-print が4.2.7 と5.0.0-beta3 を行ったり来たり.
みなさんはどうですか?

583 :login:Penguin:05/03/11 22:57:53 ID:scAQgWwU
どうしてGentooだけ時代の流れから取り残されているんですか?


584 :login:Penguin:05/03/11 23:19:50 ID:gT4N73tN
マルチで「だけ」ってのはどうかと

uim-qtは動いてるんだけど、scim-qtimmうごかね
トレイアイコンは出てくるけど、キーに反応しない

585 :login:Penguin:05/03/12 00:12:41 ID:8O26HOzz
>>583
僕の肛門は時代の流れから取り残されています

586 :login:Penguin:05/03/12 01:48:37 ID:WLvLVpz1
2005.0マダ?
でびあんなんか、かせきだよ
とっくに、すててしもうた

587 :login:Penguin:05/03/12 02:35:20 ID:V1DaCfS5
>2005.0リリース作業完了の数時間前に発覚した、Gaim およびMozilla-Firefoxのリモート
>セキュリティホールと、QTおよびKdelibsのローカルなセキュリティホールに対処するため、
>リリースエンジニア全員はリリースを延期し、これらの問題点に対処するためにリリースメディアを
>再構築することを決定しました。


588 :login:Penguin:05/03/12 12:54:55 ID:dsKNVMqk
gentooってCDからしかインストールできないの?

589 :login:Penguin:05/03/12 13:01:02 ID:JL/T84lb
そんなことないよ。>>1に書いてある際と読んでみて

590 :login:Penguin:05/03/12 18:08:56 ID:512MzCmw
chrootするまでの工程を進めるのに支障がなければ何で起動してもいいという自由度

591 :login:Penguin:05/03/13 00:17:02 ID:vqoSZka5
いつもカスタムしたKNOPPIXから突っ込んでる。distccマンセー。

592 :login:Penguin:05/03/14 21:56:09 ID:b6aoW9bk
なんかxmmsアップデートしたらラジオ聞けなくなっちゃった・・・なんでだろうと調べ中

593 :login:Penguin:05/03/14 22:15:37 ID:noGSMRWl
gnome2.10のeBuildっていつごろ来る予想?

594 :592:05/03/14 23:14:08 ID:b6aoW9bk
分からなかった・・・アップデートした後に下のネットラジオ聞ける人やり方教えて貰えませんか?_| ̄|○
http://www.shoutcast.com/

595 :login:Penguin:05/03/15 09:15:46 ID:th+MDb/t
深刻かも・・・
ttp://bugs.gentoo.org/show_bug.cgi?id=83689


596 :login:Penguin:05/03/15 10:48:11 ID:1d00FEKe
えーん、uim anthyの設定がWikiの通りに行かないよぅ。


597 :login:Penguin:05/03/15 10:55:16 ID:t/MDu9eE
>>595
# echo =sys-libs/cracklib-2.8_pre1-r1 >> /etc/portage/package.mask
# emerge cracklib
# emerge mod_php

で問題ないっすよ?

598 :login:Penguin:05/03/15 17:09:01 ID:J8ZfxndH
ヌフォ4でインスコ完了 記念カキコ

599 :login:Penguin:05/03/15 22:46:40 ID:q8X03sG0
SHOUTcastはmplayerで聞いてるなぁ・・

mplayer -playlist "http://yp.shoutcast.com/sbin/shoutcast-playlist.pls?rn=8107&file=filename.pls"

って感じで

600 :login:Penguin:05/03/16 00:45:31 ID:AKjQbipl
>>592
emerge xmms-mpg123
で解決したよ。
http://forums.gentoo.org/viewtopic-t-306444-start-0-postdays-0-postorder-asc-highlight-xmms.html?sid=0da34e3624a609388445c1ba98de868d



601 :login:Penguin:05/03/16 06:29:11 ID:oO4LTXGM
>>597
なぜか
rm -rf /etc/apache2
emerge -C apache php mod_php
emerge apache php mod_php
/etc/apache2/httpd.conf に index.php を DirectoryIndex に追加
で行けますた.
どうも config ファイルの移動で設定がごっちゃになってたらしいです.


602 :login:Penguin:05/03/16 07:06:12 ID:oO4LTXGM
日本サイト死んでる?

603 :login:Penguin:05/03/16 08:30:28 ID:40E3LVjl
Adobe Acrobat Reader 7.0 for Linux
キタ━━━━(゚∀゚)━━━━!!!!

マジいいわ。日本語のしおりも表示できるし、日本語で検索もできる!
UIも馴染みやすい。これでintelのPDFをマッタリと見ることができるのぉ

604 :login:Penguin:05/03/16 13:13:34 ID:znOS20YH
>>603

フォントが埋め込んであれば日本語も表示できるけど
そうじゃないと表示されなくない?

605 :login:Penguin:05/03/16 13:43:05 ID:40E3LVjl
>>604
ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/4.x/jpnfont.tar.gz

ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/jpnfont.tar.gz
をDL

詳しい方法は
http://www.geocities.co.jp/SiliconValley-Cupertino/9940/acrobat/を参照して。
フォントをインストールするところは/opt/Acrobat7/Resource/Font/ね。

606 :login:Penguin:05/03/16 14:11:56 ID:iWl61+QB
media-fonts/acroread-asianfonts の ebuild ファイルの INSTALLDIR を
Acrobat7に変更して emerge すればオッケーだよ。

607 :605:05/03/16 14:22:30 ID:40E3LVjl
ごめん、俺嘘こいた。intelの見れたからOKかと思ったらあれフォンと埋め込んでんだね。。。
まだやってないけど>>606を参考にしてください。


608 :login:Penguin:05/03/16 15:30:34 ID:Ryisi1Gj
>>606
大体表示できるようになったけど,一部まだ無理な PDF があるみたい.
本家から正式に日本語リソースが出るのを待つか.

609 :login:Penguin:05/03/16 18:33:09 ID:oQ2yrw1s
mysql のキャラクタセットをujisでインストールしたいのですが
emergeでやる場合、どのような設定が必要でしょうか。

610 :login:Penguin:05/03/16 19:46:09 ID:jZpfLlAQ
>>560
えらい遅レスになってしまったけど、うちも同じ現象になってました。

LANG=ja_JP.eucJP
LC_ALL=ja_JP.eucJP
を設定して、
make.confのUSEにcannaとcjkを加えて
emerge -uD --newuse world で再構築した所、直りましたよ。

まぁ、余分な処理もしてるとは思うけど、参考にしてくださいな。


611 :592:05/03/16 20:32:49 ID:DYidpI/Y
>>600
うわーーー!!ほんとにありがとう;;
泣きながらCDをMP3にする作業をしておりました。

♪♪♪ d(`Д´)b♪♪♪サンキュ

612 :login:Penguin:05/03/16 20:55:57 ID:5smGrIuc
かなしいときー
やっと入れ終わった kdelib が mask されちゃったときー

613 :login:Penguin:05/03/17 01:03:40 ID:SSjqJbyZ
>>606
thx
でも >>608 と同じく表示出来ないやつもまだあるみたい
ggv では表示出来たんだけど。

614 :login:Penguin:05/03/17 07:46:29 ID:wX8uPvmZ
>>612
3.4が来るから、それまで放置することにした。

615 :login:Penguin:05/03/17 08:20:12 ID:wX8uPvmZ
kde3.4.0とglibcが同時に来た。コンパイル終わらんね。

616 :login:Penguin:05/03/17 10:45:21 ID:mEIwF+K5
もう来た? 早いね。

617 :login:Penguin:05/03/17 11:15:35 ID:/ujMfZxg
つーかソースが行き渡ってないので本家からDL中・・・orz
またーり逝き待つ

618 :login:Penguin:05/03/17 13:20:08 ID:6/fYiDaH
ところで、>>412は解決したの?

619 :login:Penguin:05/03/18 00:41:46 ID:MFpb8EDV
gccをemergeしたらg++が消えました。amd64, sys-devel/gcc-3.4.3-r1 です。
バージョンを上げ下げしてもg++ができません。
g++を作るにはどうしたらいいでしょう。

620 :login:Penguin:05/03/18 01:26:14 ID:Hxk/qnmt
>>619
USE=-nocxx
かな

621 :login:Penguin:05/03/18 01:44:15 ID:MFpb8EDV
>>619
それもやってみましたが、変化無しです。
kde-3.4のemergeを仕掛けて寝ようと思ったのに...ヽ(`Д´)ノ

622 :login:Penguin:05/03/18 10:48:48 ID:kbdpxtQ+
Gentoo2004.3 Kernel 2.6.10r6に 3com905C-TX-M LANカードを挿して使ってたんですが、なんか突然認識しなくなっちゃいました。
ハブのLEDも消えてたので、完全に死んじゃったのかな…

それで、質問なのですが
LANカードを交換したり追加したときってどう言う作業をすれば良いのでしょうか?

デバイスファイルがないから
ifconfig しても lo0 しか出てきません。
ドライバは入ってます。
/etc/modules.autoload.d/kernel-2.6
に 3c59x は記述してます。

623 :login:Penguin:05/03/18 13:39:48 ID:CnozFi6/
あなたの書き方だと、何がしたいか分からないよ。
壊れた3com905C-TX-Mに代えて新しいNICをインストールしたのか、"3c59x"が新しいNICに必要なものなのか。
それとも3com905C-TX-Mが完全に壊れたのかをはっきりさせたいのか。

この辺見れば分かると思う。
http://www.gentoo.org/doc/ja/handbook/handbook-x86.xml?part=1&chap=8

# nano -w /etc/conf.d/net (適当なアドレス・ネットマスクの設定)
# cd /etc/init.d && ln -sf /etc/init.d/net.eth0 net.ethZ
# modprobe xxx(nicに必要なmodule)
# rc-update add net.ethX default
# /etc/init.d/net.ethX restart




624 :login:Penguin:05/03/18 16:09:04 ID:rf1Jljh/
kernel-2.6.11-r4でnvidia-kernelがコンパイルエラー

625 :login:Penguin:05/03/18 22:46:24 ID:b5u0IAsC
gentoo固有じゃなくて申し訳ないけど、デスクトップに貼れるメモのソフトってないかな?
付箋みたいに貼れるやつが希望。
packageの名前教えてくれると助かる。

626 :login:Penguin:05/03/18 23:23:01 ID:ehIdqI+K
>>625
gDeskletsのメモ系なディスプレイか、Xfce4ならxfce4-notesとか?
KDE方面はわからん。コンソール上でvi起動させてるだけでも良い気はするけど。
というか
デスクトップアクセサリ総合スレ@Linux板
http://pc5.2ch.net/test/read.cgi/linux/1074071090/
で聞いた方が良いかと。


627 :login:Penguin:05/03/19 00:41:47 ID:ycSbE36F
>>625
KDEの場合は emerge kdeaddon で KNotes ってのが入るよ。


628 :login:Penguin:05/03/19 12:36:18 ID:K8DiaFHx
すまんが質問。
インスコ時にblackdown-(jdk|jre)入れてしまい、
# java-config --set-system-vm=sun-j2sdk-1.4.2
してこのかた半年ばかしほっといた環境があるんだけど
いい加減blackdown-*はいらんだろ、消すべと思い、確認のため
# emerge -petD world
して依存を見てみると、

[ebuild N ] sys-libs/db-4.1.25_p1-r4
[ebuild N ] dev-lang/tcl-8.4.6
[ebuild N ] dev-java/blackdown-jdk-1.4.2.01
[ebuild N ] dev-java/blackdown-jre-1.4.2.01
[ebuild N ] dev-java/java-config-1.2.11

な状態。db-04.1.25_p1-r4.ebuildではvirtual/jdkが指定されてるので
blackdownを特定してるわけではないのだけど、
# emerge =sys-libs/db-4.1.25_p1-r4
しなおしてもdbのblackdownへの依存が切れないのです。
dbビルド中/opt/sun-j2sdk/includeを呼んでるのは確認してます。

dbのjava-vm依存をsun-j2sdkの方に向かせるにはどうすりゃええんでしょ?

629 :login:Penguin:05/03/19 12:41:19 ID:QodH++gB
KDE3.4にしたら、scim-qtimmが使えなくなった。
qtconfigでも出てこない。
何でだろう。

630 :login:Penguin:05/03/19 13:01:59 ID:9Kvb7pqI
mergeのときに

scim-qtimmを使いたいなら
export QT_IM_MODULE=scim
汁。

qtconfigでの選択はもう廃れました。

みたいなメッセージ無かった?

631 :login:Penguin:05/03/19 13:22:38 ID:QodH++gB
>>630
QT_IM_MODULEは、以前から設定しててそのままなんだけど、駄目みたいです。
テキスト入力部で、右クリックしてIM選ぶところにも出てきません。
skimは落ちるから、とりあえずscim使ってるけど、関係あるのかな。

632 :login:Penguin:05/03/20 04:29:59 ID:/DaiclUB
エスパーレスだけど
scimが1.1系になったからscim-*系はすべて再コンパイルじゃないかな


633 :login:Penguin:05/03/20 07:30:00 ID:eZXyWSNz
>>624
7167-r1で逝けた。
/etc/portage/package.keywords
media-video/nvidia-kernel ~x86
media-video/nvidia-glx ~x86
# emerge nvidia-kernel nvidia-glx

634 :login:Penguin:05/03/20 07:46:27 ID:oH30eD8Z
kdeようやくコンパイル終わった・・・
xmameが成功しない

635 :login:Penguin:05/03/20 17:51:00 ID:bxW+lhP7
いつのころからかkonqueror立ち上げようとするとこんなエラーメッセージが出ます。

konqueror: symbol lookup error: /usr/kde/3.3/lib/libkonq.so.4: undefined symbol: _ZThn148_N10QPopupMenu10updateItemEi

エスパー募集かもしれないけど、なにが原因かわかります?
qt-3.3.4-r2
kdelibs-3.3.2-r7
kdebase-3.3.2-r1
入ってます。

636 :login:Penguin:05/03/20 18:03:04 ID:bjZosic7
同じエスパーでも、カラシ入り饅頭を笑顔で食ったり
電話帳を破いたりするエスパーもいるわけだが

637 :login:Penguin:05/03/20 18:35:50 ID:R6AYRiRE
>>635
違うバージョンが混在してるみたいだけど。
エラーメッセージだけですか?他に何か実害の心当たりは?

根本的な解決は、KDE関連を全部unmergeして/usr/kde以下をカラにしてから
再度emerge。


638 :login:Penguin:05/03/20 22:18:12 ID:RLON1WRG
gentoo.gr.jp死んでる?

639 :login:Penguin:05/03/20 22:49:51 ID:YXJGyJMN
>>638
pingは通るのでサービスが停止してるという希ガス。

640 :login:Penguin:05/03/21 00:59:12 ID:6co8P6Re
>>640 とんくす
ちょうどインストール中で、ebuild-jp を落として来ようとしていたんでね。

641 :login:Penguin:05/03/21 02:44:26 ID:epn+zYkH
>>634
俺逆だわ。xmame通って、kdelibsが通らん。

642 :634:05/03/21 03:17:53 ID:dzSEK3B8
>>641
解決した。
原因は、libSDLが古いDirectFBにリンクされてたこと。
libSDLを再emergeしたら、xmameも通った。

ところで、/usr/X11R6がシンボリックリンクになってることに気付かず
equery掛ける時にはまった。

643 :login:Penguin:2005/03/21(月) 05:12:38 ID:PkDlZ4hs
Gentooって、アプリケーションをバイナリで
オンラインからインストールすることってできますか??
できるなら、FreeBSDから乗り換えようかなぁと思っているのですが。

644 :login:Penguin:2005/03/21(月) 06:05:55 ID:pXY1LyCK
>>643
バイナリの用意されているパッケージもあるけど、
基本的にソースからですよ。

645 :629:2005/03/21(月) 08:09:52 ID:ZHIfB5BZ
関係ありそうなのはこんな感じです。
[ebuild R ] app-i18n/scim-1.2.0 -gnome +gtk +immqt -immqt-bc 0 kB
[ebuild R ] app-i18n/scim-anthy-0.3.1 0 kB
[ebuild R ] app-i18n/scim-qtimm-0.8.5 +nls 0 kB
[ebuild R ] x11-libs/qt-3.3.4-r3 -cups -debug -doc -examples +firebird +gif +immqt -immqt-bc -ipv6 -mysql -nas -odbc +opengl -postgres +sqlite -xinerama +zlib 0 kB
これら全部を再ビルドしましたが、駄目でした。

kdeは全部3.4.0です。

646 :login:Penguin:2005/03/21(月) 09:53:26 ID:6FbUdIot
>>645
scim-anthyだけどつかえてます。
[ebuild R ] app-i18n/scim-1.1.3
[ebuild R ] app-i18n/scim-qtimm-0.8.0
[ebuild R ] app-i18n/scim-anthy-0.3.1
でUSEは同じですね。再コンパイルの順番は、
scim -> scim-qtimm -> scim-anthyの順序でした。
今しがたscim-uimを再コンパイルしたら、それらも使えるように
なりましたし。
設定は、startx前に
export XMODIFIERS='@im=SCIM'
export QT_IM_MODULE='scim'
export GTK_IM_MODULE='scim'
してるぐらいです。scim-anthyだけでも再コンパイルしてみてはいかがでしょう。


647 :login:Penguin:2005/03/21(月) 10:44:35 ID:Lc2zBFgJ
emergeってパッチをあてつつインストールってできるの?
FreeBSDのportsのように
make WITH_**** install
みたいに


648 :login:Penguin:2005/03/21(月) 10:49:32 ID:T87l0XNX
できます

649 :login:Penguin:2005/03/21(月) 17:53:44 ID:G33cKGsA
すいません、mysqlをインストールしようとすると
In function "my_raid_create"
undefined reference to 'oprater new(unsigned)'
とか出て、エラーで落ちます。
環境はUSE="innodb -X -kde -gnome -gdk -gdk2"といったところです。
FORUMでmy_raid_createでググって見ると同じエラーの人がいますが、解決策は書いてありません。
staticをはずすとか、先にtcp-wrappersをアップデートすると良いとか書いてありましたが、やってみてもだめでした。
ebuildをフルスクラッチでやってみたら?というカキコもあったのですが、どうするのか良くわかりませんでした。
どなたか解決方法をご存知の方がいらっしゃったら教えてください。



650 :login:Penguin:2005/03/21(月) 18:19:02 ID:Lc2zBFgJ
CUIなんですけどブラックアウト(スクリーンセーバー)の起動時間を設定する
環境変数みたいなものってどうやって変更すればいいんですか。


651 :login:Penguin:2005/03/21(月) 18:59:07 ID:QVM0wtZQ
ttp://www.linux.or.jp/JM/html/util-linux/man1/setterm.1.html

171 KB
■ このスレッドは過去ログ倉庫に格納されています

★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.00 2017/10/04 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)